/*
 * CommandNoteNode.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso.x.commands;



import org.jabberstudio.jso.NSI;
import org.jabberstudio.jso.StreamDataFactory;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.StreamObject;
import org.jabberstudio.jso.util.Utilities;
import org.jabberstudio.jso.x.commands.*;

import net.outer_planes.jso.ElementNode;

/**
 *
 * @author  linuxwolf
 * @version 0.13-DEV-20050624155226
 * @since   JSO-0.12
 */
public class CommandNoteNode extends ElementNode implements CommandNote {
    //"Constants"
    public static final NSI ATTRNAME_TYPE   = new NSI("type", null);
    
    //Constructors
    public CommandNoteNode(StreamDataFactory sdf) {
        super(sdf, NAME);
    }
    protected CommandNoteNode(StreamElement parent, CommandNoteNode base) {
        super(parent, base);
    }
    
    //Methods
    public StreamObject copy(StreamElement parent) {
        return new CommandNoteNode(parent, this);
    }
    
    public CommandNote.Type getType() {
        Object              val = getAttributeObject(ATTRNAME_TYPE);
        String              name;
        CommandNote.Type    type = null;
        
        if          (val instanceof CommandNote.Type) {
            type = (CommandNote.Type)val;
        } else if   (val != null) {
            name = val.toString();
            
            if      (Utilities.equateStrings(INFO.toString(), name))
                type = INFO;
            else if (Utilities.equateStrings(WARN.toString(), name))
                type = WARN;
            else if (Utilities.equateStrings(ERROR.toString(), name))
                type = ERROR;
            
            if (type != null)
                setType(type);
        }
        
        return type;
    }
    public void setType(CommandNote.Type type) {
        setAttributeObject(ATTRNAME_TYPE, type);
    }
    
    public String getMessage() {
        return normalizeText();
    }
    public void setMessage(String msg) {
        clearText();
        if (Utilities.isValidString(msg))
            addText(msg);
    }
}
