/*
 * LastQueryNode.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */

package net.outer_planes.jso.x.info;

import org.jabberstudio.jso.StreamDataFactory;
import org.jabberstudio.jso.StreamElement;
import org.jabberstudio.jso.StreamObject;
import org.jabberstudio.jso.x.info.LastQuery;

import net.outer_planes.jso.ExtensionNode;

/**
 *
 * @author  linuxwolf
 */
public class LastQueryNode extends ExtensionNode implements LastQuery {
    //"Constants"
    public static final Long    DEFAULT_SECS = new Long(0);
    
    //Constructors
    public LastQueryNode(StreamDataFactory sdf) {
        super(sdf, NAME);
    }
    public LastQueryNode(StreamElement parent, LastQueryNode base) {
        super(parent, base);
    }
    
    public long getSeconds() {
        Object      val = getAttributeObject("seconds");
        Number      seconds = null;
        
        if (val instanceof Number) {
            seconds = (Number)val;
        } else if   (val != null) {
            try {
                seconds = Long.valueOf(val.toString());
                setAttributeObject("seconds", seconds);
            } catch (NumberFormatException nfe) {
            }
        }
        
        if (seconds == null)
            seconds = DEFAULT_SECS;
        
        return seconds.longValue();
    }
    public void setSeconds(long secs) {
        Number  val = ((secs < 0) ? null : new Long(secs));
        
        setAttributeObject("seconds", new Long(secs));
    }
    
    public StreamObject copy(StreamElement parent) {
        return new LastQueryNode(parent, this);
    }
}