/*
 * DecompositionKeys.java
 *
 * The contents of this file are subject to the GNU Lesser General Public License
 * Version 2.1 (the "License"). You may not copy or use this file, in either
 * source code or executable form, except in compliance with the License. You
 * may obtain a copy of the License at http://www.fsf.org/licenses/lgpl.txt or
 * http://www.opensource.org/. Software distributed under the License is
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language governing rights and
 * limitations under the License.
 */


package org.jabberstudio.jso.util.stringprep;

/**
 *
 * @author  linuxwolf
 * @version 0.13-DEV-20050624155226
 * @since   JSO-0.12.3
 */
class DecompositionKeys {
    //"Constants"
    private final static int[]  KEYS = new int[] {
        /*'\u00A0', 0,*/
                '\u00A8', 1,
                '\u00AA', 2,
                '\u00AF', 3,
                '\u00B2', 4,
                '\u00B3', 5,
                '\u00B4', 6,
                '\u00B5', 7,
                '\u00B8', 8,
                '\u00B9', 9,
                '\u00BA', 10,
                '\u00BC', 11,
                '\u00BD', 12,
                '\u00BE', 13,
                '\u00C0', 14,
                '\u00C1', 15,
                '\u00C2', 16,
                '\u00C3', 17,
                '\u00C4', 18,
                '\u00C5', 19,
                '\u00C7', 20,
                '\u00C8', 21,
                '\u00C9', 22,
                '\u00CA', 23,
                '\u00CB', 24,
                '\u00CC', 25,
                '\u00CD', 26,
                '\u00CE', 27,
                '\u00CF', 28,
                '\u00D1', 29,
                '\u00D2', 30,
                '\u00D3', 31,
                '\u00D4', 32,
                '\u00D5', 33,
                '\u00D6', 34,
                '\u00D9', 35,
                '\u00DA', 36,
                '\u00DB', 37,
                '\u00DC', 38,
                '\u00DD', 39,
                '\u00E0', 40,
                '\u00E1', 41,
                '\u00E2', 42,
                '\u00E3', 43,
                '\u00E4', 44,
                '\u00E5', 45,
                '\u00E7', 46,
                '\u00E8', 47,
                '\u00E9', 48,
                '\u00EA', 49,
                '\u00EB', 50,
                '\u00EC', 51,
                '\u00ED', 52,
                '\u00EE', 53,
                '\u00EF', 54,
                '\u00F1', 55,
                '\u00F2', 56,
                '\u00F3', 57,
                '\u00F4', 58,
                '\u00F5', 59,
                '\u00F6', 60,
                '\u00F9', 61,
                '\u00FA', 62,
                '\u00FB', 63,
                '\u00FC', 64,
                '\u00FD', 65,
                '\u00FF', 66,
                '\u0100', 67,
                '\u0101', 68,
                '\u0102', 69,
                '\u0103', 70,
                '\u0104', 71,
                '\u0105', 72,
                '\u0106', 73,
                '\u0107', 74,
                '\u0108', 75,
                '\u0109', 76,
                '\u010A', 77,
                '\u010B', 78,
                '\u010C', 79,
                '\u010D', 80,
                '\u010E', 81,
                '\u010F', 82,
                '\u0112', 83,
                '\u0113', 84,
                '\u0114', 85,
                '\u0115', 86,
                '\u0116', 87,
                '\u0117', 88,
                '\u0118', 89,
                '\u0119', 90,
                '\u011A', 91,
                '\u011B', 92,
                '\u011C', 93,
                '\u011D', 94,
                '\u011E', 95,
                '\u011F', 96,
                '\u0120', 97,
                '\u0121', 98,
                '\u0122', 99,
                '\u0123', 100,
                '\u0124', 101,
                '\u0125', 102,
                '\u0128', 103,
                '\u0129', 104,
                '\u012A', 105,
                '\u012B', 106,
                '\u012C', 107,
                '\u012D', 108,
                '\u012E', 109,
                '\u012F', 110,
                '\u0130', 111,
                '\u0132', 112,
                '\u0133', 113,
                '\u0134', 114,
                '\u0135', 115,
                '\u0136', 116,
                '\u0137', 117,
                '\u0139', 118,
                '\u013A', 119,
                '\u013B', 120,
                '\u013C', 121,
                '\u013D', 122,
                '\u013E', 123,
                '\u013F', 124,
                '\u0140', 125,
                '\u0143', 126,
                '\u0144', 127,
                '\u0145', 128,
                '\u0146', 129,
                '\u0147', 130,
                '\u0148', 131,
                '\u0149', 132,
                '\u014C', 133,
                '\u014D', 134,
                '\u014E', 135,
                '\u014F', 136,
                '\u0150', 137,
                '\u0151', 138,
                '\u0154', 139,
                '\u0155', 140,
                '\u0156', 141,
                '\u0157', 142,
                '\u0158', 143,
                '\u0159', 144,
                '\u015A', 145,
                '\u015B', 146,
                '\u015C', 147,
                '\u015D', 148,
                '\u015E', 149,
                '\u015F', 150,
                '\u0160', 151,
                '\u0161', 152,
                '\u0162', 153,
                '\u0163', 154,
                '\u0164', 155,
                '\u0165', 156,
                '\u0168', 157,
                '\u0169', 158,
                '\u016A', 159,
                '\u016B', 160,
                '\u016C', 161,
                '\u016D', 162,
                '\u016E', 163,
                '\u016F', 164,
                '\u0170', 165,
                '\u0171', 166,
                '\u0172', 167,
                '\u0173', 168,
                '\u0174', 169,
                '\u0175', 170,
                '\u0176', 171,
                '\u0177', 172,
                '\u0178', 173,
                '\u0179', 174,
                '\u017A', 175,
                '\u017B', 176,
                '\u017C', 177,
                '\u017D', 178,
                '\u017E', 179,
                '\u017F', 180,
                '\u01A0', 181,
                '\u01A1', 182,
                '\u01AF', 183,
                '\u01B0', 184,
                '\u01C4', 185,
                '\u01C5', 186,
                '\u01C6', 187,
                '\u01C7', 188,
                '\u01C8', 189,
                '\u01C9', 190,
                '\u01CA', 191,
                '\u01CB', 192,
                '\u01CC', 193,
                '\u01CD', 194,
                '\u01CE', 195,
                '\u01CF', 196,
                '\u01D0', 197,
                '\u01D1', 198,
                '\u01D2', 199,
                '\u01D3', 200,
                '\u01D4', 201,
                '\u01D5', 202,
                '\u01D6', 203,
                '\u01D7', 204,
                '\u01D8', 205,
                '\u01D9', 206,
                '\u01DA', 207,
                '\u01DB', 208,
                '\u01DC', 209,
                '\u01DE', 210,
                '\u01DF', 211,
                '\u01E0', 212,
                '\u01E1', 213,
                '\u01E2', 214,
                '\u01E3', 215,
                '\u01E6', 216,
                '\u01E7', 217,
                '\u01E8', 218,
                '\u01E9', 219,
                '\u01EA', 220,
                '\u01EB', 221,
                '\u01EC', 222,
                '\u01ED', 223,
                '\u01EE', 224,
                '\u01EF', 225,
                '\u01F0', 226,
                '\u01F1', 227,
                '\u01F2', 228,
                '\u01F3', 229,
                '\u01F4', 230,
                '\u01F5', 231,
                '\u01F8', 232,
                '\u01F9', 233,
                '\u01FA', 234,
                '\u01FB', 235,
                '\u01FC', 236,
                '\u01FD', 237,
                '\u01FE', 238,
                '\u01FF', 239,
                '\u0200', 240,
                '\u0201', 241,
                '\u0202', 242,
                '\u0203', 243,
                '\u0204', 244,
                '\u0205', 245,
                '\u0206', 246,
                '\u0207', 247,
                '\u0208', 248,
                '\u0209', 249,
                '\u020A', 250,
                '\u020B', 251,
                '\u020C', 252,
                '\u020D', 253,
                '\u020E', 254,
                '\u020F', 255,
                '\u0210', 256,
                '\u0211', 257,
                '\u0212', 258,
                '\u0213', 259,
                '\u0214', 260,
                '\u0215', 261,
                '\u0216', 262,
                '\u0217', 263,
                '\u0218', 264,
                '\u0219', 265,
                '\u021A', 266,
                '\u021B', 267,
                '\u021E', 268,
                '\u021F', 269,
                '\u0226', 270,
                '\u0227', 271,
                '\u0228', 272,
                '\u0229', 273,
                '\u022A', 274,
                '\u022B', 275,
                '\u022C', 276,
                '\u022D', 277,
                '\u022E', 278,
                '\u022F', 279,
                '\u0230', 280,
                '\u0231', 281,
                '\u0232', 282,
                '\u0233', 283,
                '\u02B0', 284,
                '\u02B1', 285,
                '\u02B2', 286,
                '\u02B3', 287,
                '\u02B4', 288,
                '\u02B5', 289,
                '\u02B6', 290,
                '\u02B7', 291,
                '\u02B8', 292,
                '\u02D8', 293,
                '\u02D9', 294,
                '\u02DA', 295,
                '\u02DB', 296,
                '\u02DC', 297,
                '\u02DD', 298,
                '\u02E0', 299,
                '\u02E1', 300,
                '\u02E2', 180,
                '\u02E3', 301,
                '\u02E4', 302,
                '\u0340', 303,
                '\u0341', 304,
                '\u0343', 305,
                '\u0344', 306,
                '\u0374', 307,
                '\u037A', 308,
                '\u037E', 309,
                '\u0384', 6,
                '\u0385', 310,
                '\u0386', 311,
                '\u0387', 312,
                '\u0388', 313,
                '\u0389', 314,
                '\u038A', 315,
                '\u038C', 316,
                '\u038E', 317,
                '\u038F', 318,
                '\u0390', 319,
                '\u03AA', 320,
                '\u03AB', 321,
                '\u03AC', 322,
                '\u03AD', 323,
                '\u03AE', 324,
                '\u03AF', 325,
                '\u03B0', 326,
                '\u03CA', 327,
                '\u03CB', 328,
                '\u03CC', 329,
                '\u03CD', 330,
                '\u03CE', 331,
                '\u03D0', 332,
                '\u03D1', 333,
                '\u03D2', 334,
                '\u03D3', 317,
                '\u03D4', 321,
                '\u03D5', 335,
                '\u03D6', 336,
                '\u03F0', 337,
                '\u03F1', 338,
                '\u03F2', 339,
                '\u03F4', 340,
                '\u03F5', 341,
                '\u03F9', 342,
                '\u0400', 343,
                '\u0401', 344,
                '\u0403', 345,
                '\u0407', 346,
                '\u040C', 347,
                '\u040D', 348,
                '\u040E', 349,
                '\u0419', 350,
                '\u0439', 351,
                '\u0450', 352,
                '\u0451', 353,
                '\u0453', 354,
                '\u0457', 355,
                '\u045C', 356,
                '\u045D', 357,
                '\u045E', 358,
                '\u0476', 359,
                '\u0477', 360,
                '\u04C1', 361,
                '\u04C2', 362,
                '\u04D0', 363,
                '\u04D1', 364,
                '\u04D2', 365,
                '\u04D3', 366,
                '\u04D6', 367,
                '\u04D7', 368,
                '\u04DA', 369,
                '\u04DB', 370,
                '\u04DC', 371,
                '\u04DD', 372,
                '\u04DE', 373,
                '\u04DF', 374,
                '\u04E2', 375,
                '\u04E3', 376,
                '\u04E4', 377,
                '\u04E5', 378,
                '\u04E6', 379,
                '\u04E7', 380,
                '\u04EA', 381,
                '\u04EB', 382,
                '\u04EC', 383,
                '\u04ED', 384,
                '\u04EE', 385,
                '\u04EF', 386,
                '\u04F0', 387,
                '\u04F1', 388,
                '\u04F2', 389,
                '\u04F3', 390,
                '\u04F4', 391,
                '\u04F5', 392,
                '\u04F8', 393,
                '\u04F9', 394,
                '\u0587', 395,
                '\u0622', 396,
                '\u0623', 397,
                '\u0624', 398,
                '\u0625', 399,
                '\u0626', 400,
                '\u0675', 401,
                '\u0676', 402,
                '\u0677', 403,
                '\u0678', 404,
                '\u06C0', 405,
                '\u06C2', 406,
                '\u06D3', 407,
                '\u0929', 408,
                '\u0931', 409,
                '\u0934', 410,
                '\u0958', 411,
                '\u0959', 412,
                '\u095A', 413,
                '\u095B', 414,
                '\u095C', 415,
                '\u095D', 416,
                '\u095E', 417,
                '\u095F', 418,
                '\u09CB', 419,
                '\u09CC', 420,
                '\u09DC', 421,
                '\u09DD', 422,
                '\u09DF', 423,
                '\u0A33', 424,
                '\u0A36', 425,
                '\u0A59', 426,
                '\u0A5A', 427,
                '\u0A5B', 428,
                '\u0A5E', 429,
                '\u0B48', 430,
                '\u0B4B', 431,
                '\u0B4C', 432,
                '\u0B5C', 433,
                '\u0B5D', 434,
                '\u0B94', 435,
                '\u0BCA', 436,
                '\u0BCB', 437,
                '\u0BCC', 438,
                '\u0C48', 439,
                '\u0CC0', 440,
                '\u0CC7', 441,
                '\u0CC8', 442,
                '\u0CCA', 443,
                '\u0CCB', 444,
                '\u0D4A', 445,
                '\u0D4B', 446,
                '\u0D4C', 447,
                '\u0DDA', 448,
                '\u0DDC', 449,
                '\u0DDD', 450,
                '\u0DDE', 451,
                '\u0E33', 452,
                '\u0EB3', 453,
                '\u0EDC', 454,
                '\u0EDD', 455,
                '\u0F0C', 456,
                '\u0F43', 457,
                '\u0F4D', 458,
                '\u0F52', 459,
                '\u0F57', 460,
                '\u0F5C', 461,
                '\u0F69', 462,
                '\u0F73', 463,
                '\u0F75', 464,
                '\u0F76', 465,
                '\u0F77', 466,
                '\u0F78', 467,
                '\u0F79', 468,
                '\u0F81', 469,
                '\u0F93', 470,
                '\u0F9D', 471,
                '\u0FA2', 472,
                '\u0FA7', 473,
                '\u0FAC', 474,
                '\u0FB9', 475,
                '\u1026', 476,
                '\u1D2C', 477,
                '\u1D2D', 478,
                '\u1D2E', 479,
                '\u1D30', 480,
                '\u1D31', 481,
                '\u1D32', 482,
                '\u1D33', 483,
                '\u1D34', 484,
                '\u1D35', 485,
                '\u1D36', 486,
                '\u1D37', 487,
                '\u1D38', 488,
                '\u1D39', 489,
                '\u1D3A', 490,
                '\u1D3C', 491,
                '\u1D3D', 492,
                '\u1D3E', 493,
                '\u1D3F', 494,
                '\u1D40', 495,
                '\u1D41', 496,
                '\u1D42', 497,
                '\u1D43', 2,
                '\u1D44', 498,
                '\u1D45', 499,
                '\u1D46', 500,
                '\u1D47', 501,
                '\u1D48', 502,
                '\u1D49', 503,
                '\u1D4A', 504,
                '\u1D4B', 505,
                '\u1D4C', 506,
                '\u1D4D', 507,
                '\u1D4F', 508,
                '\u1D50', 509,
                '\u1D51', 510,
                '\u1D52', 10,
                '\u1D53', 511,
                '\u1D54', 512,
                '\u1D55', 513,
                '\u1D56', 514,
                '\u1D57', 515,
                '\u1D58', 516,
                '\u1D59', 517,
                '\u1D5A', 518,
                '\u1D5B', 519,
                '\u1D5C', 520,
                '\u1D5D', 332,
                '\u1D5E', 521,
                '\u1D5F', 522,
                '\u1D60', 335,
                '\u1D61', 523,
                '\u1D62', 524,
                '\u1D63', 287,
                '\u1D64', 516,
                '\u1D65', 519,
                '\u1D66', 332,
                '\u1D67', 521,
                '\u1D68', 338,
                '\u1D69', 335,
                '\u1D6A', 523,
                '\u1E00', 525,
                '\u1E01', 526,
                '\u1E02', 527,
                '\u1E03', 528,
                '\u1E04', 529,
                '\u1E05', 530,
                '\u1E06', 531,
                '\u1E07', 532,
                '\u1E08', 533,
                '\u1E09', 534,
                '\u1E0A', 535,
                '\u1E0B', 536,
                '\u1E0C', 537,
                '\u1E0D', 538,
                '\u1E0E', 539,
                '\u1E0F', 540,
                '\u1E10', 541,
                '\u1E11', 542,
                '\u1E12', 543,
                '\u1E13', 544,
                '\u1E14', 545,
                '\u1E15', 546,
                '\u1E16', 547,
                '\u1E17', 548,
                '\u1E18', 549,
                '\u1E19', 550,
                '\u1E1A', 551,
                '\u1E1B', 552,
                '\u1E1C', 553,
                '\u1E1D', 554,
                '\u1E1E', 555,
                '\u1E1F', 556,
                '\u1E20', 557,
                '\u1E21', 558,
                '\u1E22', 559,
                '\u1E23', 560,
                '\u1E24', 561,
                '\u1E25', 562,
                '\u1E26', 563,
                '\u1E27', 564,
                '\u1E28', 565,
                '\u1E29', 566,
                '\u1E2A', 567,
                '\u1E2B', 568,
                '\u1E2C', 569,
                '\u1E2D', 570,
                '\u1E2E', 571,
                '\u1E2F', 572,
                '\u1E30', 573,
                '\u1E31', 574,
                '\u1E32', 575,
                '\u1E33', 576,
                '\u1E34', 577,
                '\u1E35', 578,
                '\u1E36', 579,
                '\u1E37', 580,
                '\u1E38', 581,
                '\u1E39', 582,
                '\u1E3A', 583,
                '\u1E3B', 584,
                '\u1E3C', 585,
                '\u1E3D', 586,
                '\u1E3E', 587,
                '\u1E3F', 588,
                '\u1E40', 589,
                '\u1E41', 590,
                '\u1E42', 591,
                '\u1E43', 592,
                '\u1E44', 593,
                '\u1E45', 594,
                '\u1E46', 595,
                '\u1E47', 596,
                '\u1E48', 597,
                '\u1E49', 598,
                '\u1E4A', 599,
                '\u1E4B', 600,
                '\u1E4C', 601,
                '\u1E4D', 602,
                '\u1E4E', 603,
                '\u1E4F', 604,
                '\u1E50', 605,
                '\u1E51', 606,
                '\u1E52', 607,
                '\u1E53', 608,
                '\u1E54', 609,
                '\u1E55', 610,
                '\u1E56', 611,
                '\u1E57', 612,
                '\u1E58', 613,
                '\u1E59', 614,
                '\u1E5A', 615,
                '\u1E5B', 616,
                '\u1E5C', 617,
                '\u1E5D', 618,
                '\u1E5E', 619,
                '\u1E5F', 620,
                '\u1E60', 621,
                '\u1E61', 622,
                '\u1E62', 623,
                '\u1E63', 624,
                '\u1E64', 625,
                '\u1E65', 626,
                '\u1E66', 627,
                '\u1E67', 628,
                '\u1E68', 629,
                '\u1E69', 630,
                '\u1E6A', 631,
                '\u1E6B', 632,
                '\u1E6C', 633,
                '\u1E6D', 634,
                '\u1E6E', 635,
                '\u1E6F', 636,
                '\u1E70', 637,
                '\u1E71', 638,
                '\u1E72', 639,
                '\u1E73', 640,
                '\u1E74', 641,
                '\u1E75', 642,
                '\u1E76', 643,
                '\u1E77', 644,
                '\u1E78', 645,
                '\u1E79', 646,
                '\u1E7A', 647,
                '\u1E7B', 648,
                '\u1E7C', 649,
                '\u1E7D', 650,
                '\u1E7E', 651,
                '\u1E7F', 652,
                '\u1E80', 653,
                '\u1E81', 654,
                '\u1E82', 655,
                '\u1E83', 656,
                '\u1E84', 657,
                '\u1E85', 658,
                '\u1E86', 659,
                '\u1E87', 660,
                '\u1E88', 661,
                '\u1E89', 662,
                '\u1E8A', 663,
                '\u1E8B', 664,
                '\u1E8C', 665,
                '\u1E8D', 666,
                '\u1E8E', 667,
                '\u1E8F', 668,
                '\u1E90', 669,
                '\u1E91', 670,
                '\u1E92', 671,
                '\u1E93', 672,
                '\u1E94', 673,
                '\u1E95', 674,
                '\u1E96', 675,
                '\u1E97', 676,
                '\u1E98', 677,
                '\u1E99', 678,
                '\u1E9A', 679,
                '\u1E9B', 622,
                '\u1EA0', 680,
                '\u1EA1', 681,
                '\u1EA2', 682,
                '\u1EA3', 683,
                '\u1EA4', 684,
                '\u1EA5', 685,
                '\u1EA6', 686,
                '\u1EA7', 687,
                '\u1EA8', 688,
                '\u1EA9', 689,
                '\u1EAA', 690,
                '\u1EAB', 691,
                '\u1EAC', 692,
                '\u1EAD', 693,
                '\u1EAE', 694,
                '\u1EAF', 695,
                '\u1EB0', 696,
                '\u1EB1', 697,
                '\u1EB2', 698,
                '\u1EB3', 699,
                '\u1EB4', 700,
                '\u1EB5', 701,
                '\u1EB6', 702,
                '\u1EB7', 703,
                '\u1EB8', 704,
                '\u1EB9', 705,
                '\u1EBA', 706,
                '\u1EBB', 707,
                '\u1EBC', 708,
                '\u1EBD', 709,
                '\u1EBE', 710,
                '\u1EBF', 711,
                '\u1EC0', 712,
                '\u1EC1', 713,
                '\u1EC2', 714,
                '\u1EC3', 715,
                '\u1EC4', 716,
                '\u1EC5', 717,
                '\u1EC6', 718,
                '\u1EC7', 719,
                '\u1EC8', 720,
                '\u1EC9', 721,
                '\u1ECA', 722,
                '\u1ECB', 723,
                '\u1ECC', 724,
                '\u1ECD', 725,
                '\u1ECE', 726,
                '\u1ECF', 727,
                '\u1ED0', 728,
                '\u1ED1', 729,
                '\u1ED2', 730,
                '\u1ED3', 731,
                '\u1ED4', 732,
                '\u1ED5', 733,
                '\u1ED6', 734,
                '\u1ED7', 735,
                '\u1ED8', 736,
                '\u1ED9', 737,
                '\u1EDA', 738,
                '\u1EDB', 739,
                '\u1EDC', 740,
                '\u1EDD', 741,
                '\u1EDE', 742,
                '\u1EDF', 743,
                '\u1EE0', 744,
                '\u1EE1', 745,
                '\u1EE2', 746,
                '\u1EE3', 747,
                '\u1EE4', 748,
                '\u1EE5', 749,
                '\u1EE6', 750,
                '\u1EE7', 751,
                '\u1EE8', 752,
                '\u1EE9', 753,
                '\u1EEA', 754,
                '\u1EEB', 755,
                '\u1EEC', 756,
                '\u1EED', 757,
                '\u1EEE', 758,
                '\u1EEF', 759,
                '\u1EF0', 760,
                '\u1EF1', 761,
                '\u1EF2', 762,
                '\u1EF3', 763,
                '\u1EF4', 764,
                '\u1EF5', 765,
                '\u1EF6', 766,
                '\u1EF7', 767,
                '\u1EF8', 768,
                '\u1EF9', 769,
                '\u1F00', 770,
                '\u1F01', 771,
                '\u1F02', 772,
                '\u1F03', 773,
                '\u1F04', 774,
                '\u1F05', 775,
                '\u1F06', 776,
                '\u1F07', 777,
                '\u1F08', 778,
                '\u1F09', 779,
                '\u1F0A', 780,
                '\u1F0B', 781,
                '\u1F0C', 782,
                '\u1F0D', 783,
                '\u1F0E', 784,
                '\u1F0F', 785,
                '\u1F10', 786,
                '\u1F11', 787,
                '\u1F12', 788,
                '\u1F13', 789,
                '\u1F14', 790,
                '\u1F15', 791,
                '\u1F18', 792,
                '\u1F19', 793,
                '\u1F1A', 794,
                '\u1F1B', 795,
                '\u1F1C', 796,
                '\u1F1D', 797,
                '\u1F20', 798,
                '\u1F21', 799,
                '\u1F22', 800,
                '\u1F23', 801,
                '\u1F24', 802,
                '\u1F25', 803,
                '\u1F26', 804,
                '\u1F27', 805,
                '\u1F28', 806,
                '\u1F29', 807,
                '\u1F2A', 808,
                '\u1F2B', 809,
                '\u1F2C', 810,
                '\u1F2D', 811,
                '\u1F2E', 812,
                '\u1F2F', 813,
                '\u1F30', 814,
                '\u1F31', 815,
                '\u1F32', 816,
                '\u1F33', 817,
                '\u1F34', 818,
                '\u1F35', 819,
                '\u1F36', 820,
                '\u1F37', 821,
                '\u1F38', 822,
                '\u1F39', 823,
                '\u1F3A', 824,
                '\u1F3B', 825,
                '\u1F3C', 826,
                '\u1F3D', 827,
                '\u1F3E', 828,
                '\u1F3F', 829,
                '\u1F40', 830,
                '\u1F41', 831,
                '\u1F42', 832,
                '\u1F43', 833,
                '\u1F44', 834,
                '\u1F45', 835,
                '\u1F48', 836,
                '\u1F49', 837,
                '\u1F4A', 838,
                '\u1F4B', 839,
                '\u1F4C', 840,
                '\u1F4D', 841,
                '\u1F50', 842,
                '\u1F51', 843,
                '\u1F52', 844,
                '\u1F53', 845,
                '\u1F54', 846,
                '\u1F55', 847,
                '\u1F56', 848,
                '\u1F57', 849,
                '\u1F59', 850,
                '\u1F5B', 851,
                '\u1F5D', 852,
                '\u1F5F', 853,
                '\u1F60', 854,
                '\u1F61', 855,
                '\u1F62', 856,
                '\u1F63', 857,
                '\u1F64', 858,
                '\u1F65', 859,
                '\u1F66', 860,
                '\u1F67', 861,
                '\u1F68', 862,
                '\u1F69', 863,
                '\u1F6A', 864,
                '\u1F6B', 865,
                '\u1F6C', 866,
                '\u1F6D', 867,
                '\u1F6E', 868,
                '\u1F6F', 869,
                '\u1F70', 870,
                '\u1F71', 322,
                '\u1F72', 871,
                '\u1F73', 323,
                '\u1F74', 872,
                '\u1F75', 324,
                '\u1F76', 873,
                '\u1F77', 325,
                '\u1F78', 874,
                '\u1F79', 329,
                '\u1F7A', 875,
                '\u1F7B', 330,
                '\u1F7C', 876,
                '\u1F7D', 331,
                '\u1F80', 877,
                '\u1F81', 878,
                '\u1F82', 879,
                '\u1F83', 880,
                '\u1F84', 881,
                '\u1F85', 882,
                '\u1F86', 883,
                '\u1F87', 884,
                '\u1F88', 885,
                '\u1F89', 886,
                '\u1F8A', 887,
                '\u1F8B', 888,
                '\u1F8C', 889,
                '\u1F8D', 890,
                '\u1F8E', 891,
                '\u1F8F', 892,
                '\u1F90', 893,
                '\u1F91', 894,
                '\u1F92', 895,
                '\u1F93', 896,
                '\u1F94', 897,
                '\u1F95', 898,
                '\u1F96', 899,
                '\u1F97', 900,
                '\u1F98', 901,
                '\u1F99', 902,
                '\u1F9A', 903,
                '\u1F9B', 904,
                '\u1F9C', 905,
                '\u1F9D', 906,
                '\u1F9E', 907,
                '\u1F9F', 908,
                '\u1FA0', 909,
                '\u1FA1', 910,
                '\u1FA2', 911,
                '\u1FA3', 912,
                '\u1FA4', 913,
                '\u1FA5', 914,
                '\u1FA6', 915,
                '\u1FA7', 916,
                '\u1FA8', 917,
                '\u1FA9', 918,
                '\u1FAA', 919,
                '\u1FAB', 920,
                '\u1FAC', 921,
                '\u1FAD', 922,
                '\u1FAE', 923,
                '\u1FAF', 924,
                '\u1FB0', 925,
                '\u1FB1', 926,
                '\u1FB2', 927,
                '\u1FB3', 928,
                '\u1FB4', 929,
                '\u1FB6', 930,
                '\u1FB7', 931,
                '\u1FB8', 932,
                '\u1FB9', 933,
                '\u1FBA', 934,
                '\u1FBB', 311,
                '\u1FBC', 935,
                '\u1FBD', 936,
                '\u1FBE', 937,
                '\u1FBF', 936,
                '\u1FC0', 938,
                '\u1FC1', 939,
                '\u1FC2', 940,
                '\u1FC3', 941,
                '\u1FC4', 942,
                '\u1FC6', 943,
                '\u1FC7', 944,
                '\u1FC8', 945,
                '\u1FC9', 313,
                '\u1FCA', 946,
                '\u1FCB', 314,
                '\u1FCC', 947,
                '\u1FCD', 948,
                '\u1FCE', 949,
                '\u1FCF', 950,
                '\u1FD0', 951,
                '\u1FD1', 952,
                '\u1FD2', 953,
                '\u1FD3', 319,
                '\u1FD6', 954,
                '\u1FD7', 955,
                '\u1FD8', 956,
                '\u1FD9', 957,
                '\u1FDA', 958,
                '\u1FDB', 315,
                '\u1FDD', 959,
                '\u1FDE', 960,
                '\u1FDF', 961,
                '\u1FE0', 962,
                '\u1FE1', 963,
                '\u1FE2', 964,
                '\u1FE3', 326,
                '\u1FE4', 965,
                '\u1FE5', 966,
                '\u1FE6', 967,
                '\u1FE7', 968,
                '\u1FE8', 969,
                '\u1FE9', 970,
                '\u1FEA', 971,
                '\u1FEB', 317,
                '\u1FEC', 972,
                '\u1FED', 973,
                '\u1FEE', 310,
                '\u1FEF', 974,
                '\u1FF2', 975,
                '\u1FF3', 976,
                '\u1FF4', 977,
                '\u1FF6', 978,
                '\u1FF7', 979,
                '\u1FF8', 980,
                '\u1FF9', 316,
                '\u1FFA', 981,
                '\u1FFB', 318,
                '\u1FFC', 982,
                '\u1FFD', 6,
                '\u1FFE', 983,
                '\u2000', 0,
                '\u2001', 0,
                '\u2002', 0,
                '\u2003', 0,
                '\u2004', 0,
                '\u2005', 0,
                '\u2006', 0,
                '\u2007', 0,
                '\u2008', 0,
                '\u2009', 0,
                '\u200A', 0,
                '\u2011', 984,
                '\u2017', 985,
                '\u2024', 986,
                '\u2025', 987,
                '\u2026', 988,
                '\u202F', 0,
                '\u2033', 989,
                '\u2034', 990,
                '\u2036', 991,
                '\u2037', 992,
                '\u203C', 993,
                '\u203E', 994,
                '\u2047', 995,
                '\u2048', 996,
                '\u2049', 997,
                '\u2057', 998,
                '\u205F', 0,
                '\u2070', 999,
                '\u2071', 524,
                '\u2074', 1000,
                '\u2075', 1001,
                '\u2076', 1002,
                '\u2077', 1003,
                '\u2078', 1004,
                '\u2079', 1005,
                '\u207A', 1006,
                '\u207B', 1007,
                '\u207C', 1008,
                '\u207D', 1009,
                '\u207E', 1010,
                '\u207F', 1011,
                '\u2080', 999,
                '\u2081', 9,
                '\u2082', 4,
                '\u2083', 5,
                '\u2084', 1000,
                '\u2085', 1001,
                '\u2086', 1002,
                '\u2087', 1003,
                '\u2088', 1004,
                '\u2089', 1005,
                '\u208A', 1006,
                '\u208B', 1007,
                '\u208C', 1008,
                '\u208D', 1009,
                '\u208E', 1010,
                '\u20A8', 1012,
                '\u2100', 1013,
                '\u2101', 1014,
                '\u2102', 1015,
                '\u2103', 1016,
                '\u2105', 1017,
                '\u2106', 1018,
                '\u2107', 1019,
                '\u2109', 1020,
                '\u210A', 507,
                '\u210B', 484,
                '\u210C', 484,
                '\u210D', 484,
                '\u210E', 284,
                '\u210F', 1021,
                '\u2110', 485,
                '\u2111', 485,
                '\u2112', 488,
                '\u2113', 300,
                '\u2115', 490,
                '\u2116', 1022,
                '\u2119', 493,
                '\u211A', 1023,
                '\u211B', 494,
                '\u211C', 494,
                '\u211D', 494,
                '\u2120', 1024,
                '\u2121', 1025,
                '\u2122', 1026,
                '\u2124', 1027,
                '\u2126', 1028,
                '\u2128', 1027,
                '\u212A', 487,
                '\u212B', 19,
                '\u212C', 479,
                '\u212D', 1015,
                '\u212F', 503,
                '\u2130', 481,
                '\u2131', 1029,
                '\u2133', 489,
                '\u2134', 10,
                '\u2135', 1030,
                '\u2136', 1031,
                '\u2137', 1032,
                '\u2138', 1033,
                '\u2139', 524,
                '\u213B', 1034,
                '\u213D', 521,
                '\u213E', 1035,
                '\u213F', 1036,
                '\u2140', 1037,
                '\u2145', 480,
                '\u2146', 502,
                '\u2147', 503,
                '\u2148', 524,
                '\u2149', 286,
                '\u2153', 1038,
                '\u2154', 1039,
                '\u2155', 1040,
                '\u2156', 1041,
                '\u2157', 1042,
                '\u2158', 1043,
                '\u2159', 1044,
                '\u215A', 1045,
                '\u215B', 1046,
                '\u215C', 1047,
                '\u215D', 1048,
                '\u215E', 1049,
                '\u215F', 1050,
                '\u2160', 485,
                '\u2161', 1051,
                '\u2162', 1052,
                '\u2163', 1053,
                '\u2164', 1054,
                '\u2165', 1055,
                '\u2166', 1056,
                '\u2167', 1057,
                '\u2168', 1058,
                '\u2169', 1059,
                '\u216A', 1060,
                '\u216B', 1061,
                '\u216C', 488,
                '\u216D', 1015,
                '\u216E', 480,
                '\u216F', 489,
                '\u2170', 524,
                '\u2171', 1062,
                '\u2172', 1063,
                '\u2173', 1064,
                '\u2174', 519,
                '\u2175', 1065,
                '\u2176', 1066,
                '\u2177', 1067,
                '\u2178', 1068,
                '\u2179', 301,
                '\u217A', 1069,
                '\u217B', 1070,
                '\u217C', 300,
                '\u217D', 1071,
                '\u217E', 502,
                '\u217F', 509,
                '\u219A', 1072,
                '\u219B', 1073,
                '\u21AE', 1074,
                '\u21CD', 1075,
                '\u21CE', 1076,
                '\u21CF', 1077,
                '\u2204', 1078,
                '\u2209', 1079,
                '\u220C', 1080,
                '\u2224', 1081,
                '\u2226', 1082,
                '\u222C', 1083,
                '\u222D', 1084,
                '\u222F', 1085,
                '\u2230', 1086,
                '\u2241', 1087,
                '\u2244', 1088,
                '\u2247', 1089,
                '\u2249', 1090,
                '\u2260', 1091,
                '\u2262', 1092,
                '\u226D', 1093,
                '\u226E', 1094,
                '\u226F', 1095,
                '\u2270', 1096,
                '\u2271', 1097,
                '\u2274', 1098,
                '\u2275', 1099,
                '\u2278', 1100,
                '\u2279', 1101,
                '\u2280', 1102,
                '\u2281', 1103,
                '\u2284', 1104,
                '\u2285', 1105,
                '\u2288', 1106,
                '\u2289', 1107,
                '\u22AC', 1108,
                '\u22AD', 1109,
                '\u22AE', 1110,
                '\u22AF', 1111,
                '\u22E0', 1112,
                '\u22E1', 1113,
                '\u22E2', 1114,
                '\u22E3', 1115,
                '\u22EA', 1116,
                '\u22EB', 1117,
                '\u22EC', 1118,
                '\u22ED', 1119,
                '\u2329', 1120,
                '\u232A', 1121,
                '\u2460', 9,
                '\u2461', 4,
                '\u2462', 5,
                '\u2463', 1000,
                '\u2464', 1001,
                '\u2465', 1002,
                '\u2466', 1003,
                '\u2467', 1004,
                '\u2468', 1005,
                '\u2469', 1122,
                '\u246A', 1123,
                '\u246B', 1124,
                '\u246C', 1125,
                '\u246D', 1126,
                '\u246E', 1127,
                '\u246F', 1128,
                '\u2470', 1129,
                '\u2471', 1130,
                '\u2472', 1131,
                '\u2473', 1132,
                '\u2474', 1133,
                '\u2475', 1134,
                '\u2476', 1135,
                '\u2477', 1136,
                '\u2478', 1137,
                '\u2479', 1138,
                '\u247A', 1139,
                '\u247B', 1140,
                '\u247C', 1141,
                '\u247D', 1142,
                '\u247E', 1143,
                '\u247F', 1144,
                '\u2480', 1145,
                '\u2481', 1146,
                '\u2482', 1147,
                '\u2483', 1148,
                '\u2484', 1149,
                '\u2485', 1150,
                '\u2486', 1151,
                '\u2487', 1152,
                '\u2488', 1153,
                '\u2489', 1154,
                '\u248A', 1155,
                '\u248B', 1156,
                '\u248C', 1157,
                '\u248D', 1158,
                '\u248E', 1159,
                '\u248F', 1160,
                '\u2490', 1161,
                '\u2491', 1162,
                '\u2492', 1163,
                '\u2493', 1164,
                '\u2494', 1165,
                '\u2495', 1166,
                '\u2496', 1167,
                '\u2497', 1168,
                '\u2498', 1169,
                '\u2499', 1170,
                '\u249A', 1171,
                '\u249B', 1172,
                '\u249C', 1173,
                '\u249D', 1174,
                '\u249E', 1175,
                '\u249F', 1176,
                '\u24A0', 1177,
                '\u24A1', 1178,
                '\u24A2', 1179,
                '\u24A3', 1180,
                '\u24A4', 1181,
                '\u24A5', 1182,
                '\u24A6', 1183,
                '\u24A7', 1184,
                '\u24A8', 1185,
                '\u24A9', 1186,
                '\u24AA', 1187,
                '\u24AB', 1188,
                '\u24AC', 1189,
                '\u24AD', 1190,
                '\u24AE', 1191,
                '\u24AF', 1192,
                '\u24B0', 1193,
                '\u24B1', 1194,
                '\u24B2', 1195,
                '\u24B3', 1196,
                '\u24B4', 1197,
                '\u24B5', 1198,
                '\u24B6', 477,
                '\u24B7', 479,
                '\u24B8', 1015,
                '\u24B9', 480,
                '\u24BA', 481,
                '\u24BB', 1029,
                '\u24BC', 483,
                '\u24BD', 484,
                '\u24BE', 485,
                '\u24BF', 486,
                '\u24C0', 487,
                '\u24C1', 488,
                '\u24C2', 489,
                '\u24C3', 490,
                '\u24C4', 491,
                '\u24C5', 493,
                '\u24C6', 1023,
                '\u24C7', 494,
                '\u24C8', 1199,
                '\u24C9', 495,
                '\u24CA', 496,
                '\u24CB', 1054,
                '\u24CC', 497,
                '\u24CD', 1059,
                '\u24CE', 1200,
                '\u24CF', 1027,
                '\u24D0', 2,
                '\u24D1', 501,
                '\u24D2', 1071,
                '\u24D3', 502,
                '\u24D4', 503,
                '\u24D5', 1201,
                '\u24D6', 507,
                '\u24D7', 284,
                '\u24D8', 524,
                '\u24D9', 286,
                '\u24DA', 508,
                '\u24DB', 300,
                '\u24DC', 509,
                '\u24DD', 1011,
                '\u24DE', 10,
                '\u24DF', 514,
                '\u24E0', 1202,
                '\u24E1', 287,
                '\u24E2', 180,
                '\u24E3', 515,
                '\u24E4', 516,
                '\u24E5', 519,
                '\u24E6', 291,
                '\u24E7', 301,
                '\u24E8', 292,
                '\u24E9', 1203,
                '\u24EA', 999,
                '\u2A0C', 1204,
                '\u2A74', 1205,
                '\u2A75', 1206,
                '\u2A76', 1207,
                '\u2ADC', 1208,
                '\u2E9F', 1209,
                '\u2EF3', 1210,
                '\u2F00', 1211,
                '\u2F01', 1212,
                '\u2F02', 1213,
                '\u2F03', 1214,
                '\u2F04', 1215,
                '\u2F05', 1216,
                '\u2F06', 1217,
                '\u2F07', 1218,
                '\u2F08', 1219,
                '\u2F09', 1220,
                '\u2F0A', 1221,
                '\u2F0B', 1222,
                '\u2F0C', 1223,
                '\u2F0D', 1224,
                '\u2F0E', 1225,
                '\u2F0F', 1226,
                '\u2F10', 1227,
                '\u2F11', 1228,
                '\u2F12', 1229,
                '\u2F13', 1230,
                '\u2F14', 1231,
                '\u2F15', 1232,
                '\u2F16', 1233,
                '\u2F17', 1234,
                '\u2F18', 1235,
                '\u2F19', 1236,
                '\u2F1A', 1237,
                '\u2F1B', 1238,
                '\u2F1C', 1239,
                '\u2F1D', 1240,
                '\u2F1E', 1241,
                '\u2F1F', 1242,
                '\u2F20', 1243,
                '\u2F21', 1244,
                '\u2F22', 1245,
                '\u2F23', 1246,
                '\u2F24', 1247,
                '\u2F25', 1248,
                '\u2F26', 1249,
                '\u2F27', 1250,
                '\u2F28', 1251,
                '\u2F29', 1252,
                '\u2F2A', 1253,
                '\u2F2B', 1254,
                '\u2F2C', 1255,
                '\u2F2D', 1256,
                '\u2F2E', 1257,
                '\u2F2F', 1258,
                '\u2F30', 1259,
                '\u2F31', 1260,
                '\u2F32', 1261,
                '\u2F33', 1262,
                '\u2F34', 1263,
                '\u2F35', 1264,
                '\u2F36', 1265,
                '\u2F37', 1266,
                '\u2F38', 1267,
                '\u2F39', 1268,
                '\u2F3A', 1269,
                '\u2F3B', 1270,
                '\u2F3C', 1271,
                '\u2F3D', 1272,
                '\u2F3E', 1273,
                '\u2F3F', 1274,
                '\u2F40', 1275,
                '\u2F41', 1276,
                '\u2F42', 1277,
                '\u2F43', 1278,
                '\u2F44', 1279,
                '\u2F45', 1280,
                '\u2F46', 1281,
                '\u2F47', 1282,
                '\u2F48', 1283,
                '\u2F49', 1284,
                '\u2F4A', 1285,
                '\u2F4B', 1286,
                '\u2F4C', 1287,
                '\u2F4D', 1288,
                '\u2F4E', 1289,
                '\u2F4F', 1290,
                '\u2F50', 1291,
                '\u2F51', 1292,
                '\u2F52', 1293,
                '\u2F53', 1294,
                '\u2F54', 1295,
                '\u2F55', 1296,
                '\u2F56', 1297,
                '\u2F57', 1298,
                '\u2F58', 1299,
                '\u2F59', 1300,
                '\u2F5A', 1301,
                '\u2F5B', 1302,
                '\u2F5C', 1303,
                '\u2F5D', 1304,
                '\u2F5E', 1305,
                '\u2F5F', 1306,
                '\u2F60', 1307,
                '\u2F61', 1308,
                '\u2F62', 1309,
                '\u2F63', 1310,
                '\u2F64', 1311,
                '\u2F65', 1312,
                '\u2F66', 1313,
                '\u2F67', 1314,
                '\u2F68', 1315,
                '\u2F69', 1316,
                '\u2F6A', 1317,
                '\u2F6B', 1318,
                '\u2F6C', 1319,
                '\u2F6D', 1320,
                '\u2F6E', 1321,
                '\u2F6F', 1322,
                '\u2F70', 1323,
                '\u2F71', 1324,
                '\u2F72', 1325,
                '\u2F73', 1326,
                '\u2F74', 1327,
                '\u2F75', 1328,
                '\u2F76', 1329,
                '\u2F77', 1330,
                '\u2F78', 1331,
                '\u2F79', 1332,
                '\u2F7A', 1333,
                '\u2F7B', 1334,
                '\u2F7C', 1335,
                '\u2F7D', 1336,
                '\u2F7E', 1337,
                '\u2F7F', 1338,
                '\u2F80', 1339,
                '\u2F81', 1340,
                '\u2F82', 1341,
                '\u2F83', 1342,
                '\u2F84', 1343,
                '\u2F85', 1344,
                '\u2F86', 1345,
                '\u2F87', 1346,
                '\u2F88', 1347,
                '\u2F89', 1348,
                '\u2F8A', 1349,
                '\u2F8B', 1350,
                '\u2F8C', 1351,
                '\u2F8D', 1352,
                '\u2F8E', 1353,
                '\u2F8F', 1354,
                '\u2F90', 1355,
                '\u2F91', 1356,
                '\u2F92', 1357,
                '\u2F93', 1358,
                '\u2F94', 1359,
                '\u2F95', 1360,
                '\u2F96', 1361,
                '\u2F97', 1362,
                '\u2F98', 1363,
                '\u2F99', 1364,
                '\u2F9A', 1365,
                '\u2F9B', 1366,
                '\u2F9C', 1367,
                '\u2F9D', 1368,
                '\u2F9E', 1369,
                '\u2F9F', 1370,
                '\u2FA0', 1371,
                '\u2FA1', 1372,
                '\u2FA2', 1373,
                '\u2FA3', 1374,
                '\u2FA4', 1375,
                '\u2FA5', 1376,
                '\u2FA6', 1377,
                '\u2FA7', 1378,
                '\u2FA8', 1379,
                '\u2FA9', 1380,
                '\u2FAA', 1381,
                '\u2FAB', 1382,
                '\u2FAC', 1383,
                '\u2FAD', 1384,
                '\u2FAE', 1385,
                '\u2FAF', 1386,
                '\u2FB0', 1387,
                '\u2FB1', 1388,
                '\u2FB2', 1389,
                '\u2FB3', 1390,
                '\u2FB4', 1391,
                '\u2FB5', 1392,
                '\u2FB6', 1393,
                '\u2FB7', 1394,
                '\u2FB8', 1395,
                '\u2FB9', 1396,
                '\u2FBA', 1397,
                '\u2FBB', 1398,
                '\u2FBC', 1399,
                '\u2FBD', 1400,
                '\u2FBE', 1401,
                '\u2FBF', 1402,
                '\u2FC0', 1403,
                '\u2FC1', 1404,
                '\u2FC2', 1405,
                '\u2FC3', 1406,
                '\u2FC4', 1407,
                '\u2FC5', 1408,
                '\u2FC6', 1409,
                '\u2FC7', 1410,
                '\u2FC8', 1411,
                '\u2FC9', 1412,
                '\u2FCA', 1413,
                '\u2FCB', 1414,
                '\u2FCC', 1415,
                '\u2FCD', 1416,
                '\u2FCE', 1417,
                '\u2FCF', 1418,
                '\u2FD0', 1419,
                '\u2FD1', 1420,
                '\u2FD2', 1421,
                '\u2FD3', 1422,
                '\u2FD4', 1423,
                '\u2FD5', 1424,
                '\u3000', 0,
                '\u3036', 1425,
                '\u3038', 1234,
                '\u3039', 1426,
                '\u303A', 1427,
                '\u304C', 1428,
                '\u304E', 1429,
                '\u3050', 1430,
                '\u3052', 1431,
                '\u3054', 1432,
                '\u3056', 1433,
                '\u3058', 1434,
                '\u305A', 1435,
                '\u305C', 1436,
                '\u305E', 1437,
                '\u3060', 1438,
                '\u3062', 1439,
                '\u3065', 1440,
                '\u3067', 1441,
                '\u3069', 1442,
                '\u3070', 1443,
                '\u3071', 1444,
                '\u3073', 1445,
                '\u3074', 1446,
                '\u3076', 1447,
                '\u3077', 1448,
                '\u3079', 1449,
                '\u307A', 1450,
                '\u307C', 1451,
                '\u307D', 1452,
                '\u3094', 1453,
                '\u309B', 1454,
                '\u309C', 1455,
                '\u309E', 1456,
                '\u309F', 1457,
                '\u30AC', 1458,
                '\u30AE', 1459,
                '\u30B0', 1460,
                '\u30B2', 1461,
                '\u30B4', 1462,
                '\u30B6', 1463,
                '\u30B8', 1464,
                '\u30BA', 1465,
                '\u30BC', 1466,
                '\u30BE', 1467,
                '\u30C0', 1468,
                '\u30C2', 1469,
                '\u30C5', 1470,
                '\u30C7', 1471,
                '\u30C9', 1472,
                '\u30D0', 1473,
                '\u30D1', 1474,
                '\u30D3', 1475,
                '\u30D4', 1476,
                '\u30D6', 1477,
                '\u30D7', 1478,
                '\u30D9', 1479,
                '\u30DA', 1480,
                '\u30DC', 1481,
                '\u30DD', 1482,
                '\u30F4', 1483,
                '\u30F7', 1484,
                '\u30F8', 1485,
                '\u30F9', 1486,
                '\u30FA', 1487,
                '\u30FE', 1488,
                '\u30FF', 1489,
                '\u3131', 1490,
                '\u3132', 1491,
                '\u3133', 1492,
                '\u3134', 1493,
                '\u3135', 1494,
                '\u3136', 1495,
                '\u3137', 1496,
                '\u3138', 1497,
                '\u3139', 1498,
                '\u313A', 1499,
                '\u313B', 1500,
                '\u313C', 1501,
                '\u313D', 1502,
                '\u313E', 1503,
                '\u313F', 1504,
                '\u3140', 1505,
                '\u3141', 1506,
                '\u3142', 1507,
                '\u3143', 1508,
                '\u3144', 1509,
                '\u3145', 1510,
                '\u3146', 1511,
                '\u3147', 1512,
                '\u3148', 1513,
                '\u3149', 1514,
                '\u314A', 1515,
                '\u314B', 1516,
                '\u314C', 1517,
                '\u314D', 1518,
                '\u314E', 1519,
                '\u314F', 1520,
                '\u3150', 1521,
                '\u3151', 1522,
                '\u3152', 1523,
                '\u3153', 1524,
                '\u3154', 1525,
                '\u3155', 1526,
                '\u3156', 1527,
                '\u3157', 1528,
                '\u3158', 1529,
                '\u3159', 1530,
                '\u315A', 1531,
                '\u315B', 1532,
                '\u315C', 1533,
                '\u315D', 1534,
                '\u315E', 1535,
                '\u315F', 1536,
                '\u3160', 1537,
                '\u3161', 1538,
                '\u3162', 1539,
                '\u3163', 1540,
                '\u3164', 1541,
                '\u3165', 1542,
                '\u3166', 1543,
                '\u3167', 1544,
                '\u3168', 1545,
                '\u3169', 1546,
                '\u316A', 1547,
                '\u316B', 1548,
                '\u316C', 1549,
                '\u316D', 1550,
                '\u316E', 1551,
                '\u316F', 1552,
                '\u3170', 1553,
                '\u3171', 1554,
                '\u3172', 1555,
                '\u3173', 1556,
                '\u3174', 1557,
                '\u3175', 1558,
                '\u3176', 1559,
                '\u3177', 1560,
                '\u3178', 1561,
                '\u3179', 1562,
                '\u317A', 1563,
                '\u317B', 1564,
                '\u317C', 1565,
                '\u317D', 1566,
                '\u317E', 1567,
                '\u317F', 1568,
                '\u3180', 1569,
                '\u3181', 1570,
                '\u3182', 1571,
                '\u3183', 1572,
                '\u3184', 1573,
                '\u3185', 1574,
                '\u3186', 1575,
                '\u3187', 1576,
                '\u3188', 1577,
                '\u3189', 1578,
                '\u318A', 1579,
                '\u318B', 1580,
                '\u318C', 1581,
                '\u318D', 1582,
                '\u318E', 1583,
                '\u3192', 1211,
                '\u3193', 1217,
                '\u3194', 1584,
                '\u3195', 1585,
                '\u3196', 1586,
                '\u3197', 1587,
                '\u3198', 1588,
                '\u3199', 1589,
                '\u319A', 1215,
                '\u319B', 1590,
                '\u319C', 1591,
                '\u319D', 1592,
                '\u319E', 1593,
                '\u319F', 1219,
                '\u3200', 1594,
                '\u3201', 1595,
                '\u3202', 1596,
                '\u3203', 1597,
                '\u3204', 1598,
                '\u3205', 1599,
                '\u3206', 1600,
                '\u3207', 1601,
                '\u3208', 1602,
                '\u3209', 1603,
                '\u320A', 1604,
                '\u320B', 1605,
                '\u320C', 1606,
                '\u320D', 1607,
                '\u320E', 1608,
                '\u320F', 1609,
                '\u3210', 1610,
                '\u3211', 1611,
                '\u3212', 1612,
                '\u3213', 1613,
                '\u3214', 1614,
                '\u3215', 1615,
                '\u3216', 1616,
                '\u3217', 1617,
                '\u3218', 1618,
                '\u3219', 1619,
                '\u321A', 1620,
                '\u321B', 1621,
                '\u321C', 1622,
                '\u321D', 1623,
                '\u321E', 1624,
                '\u3220', 1625,
                '\u3221', 1626,
                '\u3222', 1627,
                '\u3223', 1628,
                '\u3224', 1629,
                '\u3225', 1630,
                '\u3226', 1631,
                '\u3227', 1632,
                '\u3228', 1633,
                '\u3229', 1634,
                '\u322A', 1635,
                '\u322B', 1636,
                '\u322C', 1637,
                '\u322D', 1638,
                '\u322E', 1639,
                '\u322F', 1640,
                '\u3230', 1641,
                '\u3231', 1642,
                '\u3232', 1643,
                '\u3233', 1644,
                '\u3234', 1645,
                '\u3235', 1646,
                '\u3236', 1647,
                '\u3237', 1648,
                '\u3238', 1649,
                '\u3239', 1650,
                '\u323A', 1651,
                '\u323B', 1652,
                '\u323C', 1653,
                '\u323D', 1654,
                '\u323E', 1655,
                '\u323F', 1656,
                '\u3240', 1657,
                '\u3241', 1658,
                '\u3242', 1659,
                '\u3243', 1660,
                '\u3250', 1661,
                '\u3251', 1662,
                '\u3252', 1663,
                '\u3253', 1664,
                '\u3254', 1665,
                '\u3255', 1666,
                '\u3256', 1667,
                '\u3257', 1668,
                '\u3258', 1669,
                '\u3259', 1670,
                '\u325A', 1671,
                '\u325B', 1672,
                '\u325C', 1673,
                '\u325D', 1674,
                '\u325E', 1675,
                '\u325F', 1676,
                '\u3260', 1490,
                '\u3261', 1493,
                '\u3262', 1496,
                '\u3263', 1498,
                '\u3264', 1506,
                '\u3265', 1507,
                '\u3266', 1510,
                '\u3267', 1512,
                '\u3268', 1513,
                '\u3269', 1515,
                '\u326A', 1516,
                '\u326B', 1517,
                '\u326C', 1518,
                '\u326D', 1519,
                '\u326E', 1677,
                '\u326F', 1678,
                '\u3270', 1679,
                '\u3271', 1680,
                '\u3272', 1681,
                '\u3273', 1682,
                '\u3274', 1683,
                '\u3275', 1684,
                '\u3276', 1685,
                '\u3277', 1686,
                '\u3278', 1687,
                '\u3279', 1688,
                '\u327A', 1689,
                '\u327B', 1690,
                '\u327C', 1691,
                '\u327D', 1692,
                '\u3280', 1211,
                '\u3281', 1217,
                '\u3282', 1584,
                '\u3283', 1585,
                '\u3284', 1693,
                '\u3285', 1694,
                '\u3286', 1695,
                '\u3287', 1222,
                '\u3288', 1696,
                '\u3289', 1234,
                '\u328A', 1284,
                '\u328B', 1296,
                '\u328C', 1295,
                '\u328D', 1285,
                '\u328E', 1377,
                '\u328F', 1242,
                '\u3290', 1282,
                '\u3291', 1697,
                '\u3292', 1698,
                '\u3293', 1699,
                '\u3294', 1700,
                '\u3295', 1701,
                '\u3296', 1702,
                '\u3297', 1703,
                '\u3298', 1704,
                '\u3299', 1705,
                '\u329A', 1706,
                '\u329B', 1248,
                '\u329C', 1707,
                '\u329D', 1708,
                '\u329E', 1709,
                '\u329F', 1710,
                '\u32A0', 1711,
                '\u32A1', 1712,
                '\u32A2', 1713,
                '\u32A3', 1714,
                '\u32A4', 1586,
                '\u32A5', 1587,
                '\u32A6', 1588,
                '\u32A7', 1715,
                '\u32A8', 1716,
                '\u32A9', 1717,
                '\u32AA', 1718,
                '\u32AB', 1719,
                '\u32AC', 1720,
                '\u32AD', 1721,
                '\u32AE', 1722,
                '\u32AF', 1723,
                '\u32B0', 1724,
                '\u32B1', 1725,
                '\u32B2', 1726,
                '\u32B3', 1727,
                '\u32B4', 1728,
                '\u32B5', 1729,
                '\u32B6', 1730,
                '\u32B7', 1731,
                '\u32B8', 1732,
                '\u32B9', 1733,
                '\u32BA', 1734,
                '\u32BB', 1735,
                '\u32BC', 1736,
                '\u32BD', 1737,
                '\u32BE', 1738,
                '\u32BF', 1739,
                '\u32C0', 1740,
                '\u32C1', 1741,
                '\u32C2', 1742,
                '\u32C3', 1743,
                '\u32C4', 1744,
                '\u32C5', 1745,
                '\u32C6', 1746,
                '\u32C7', 1747,
                '\u32C8', 1748,
                '\u32C9', 1749,
                '\u32CA', 1750,
                '\u32CB', 1751,
                '\u32CC', 1752,
                '\u32CD', 1753,
                '\u32CE', 1754,
                '\u32CF', 1755,
                '\u32D0', 1756,
                '\u32D1', 1757,
                '\u32D2', 1758,
                '\u32D3', 1759,
                '\u32D4', 1760,
                '\u32D5', 1761,
                '\u32D6', 1762,
                '\u32D7', 1763,
                '\u32D8', 1764,
                '\u32D9', 1765,
                '\u32DA', 1766,
                '\u32DB', 1767,
                '\u32DC', 1768,
                '\u32DD', 1769,
                '\u32DE', 1770,
                '\u32DF', 1771,
                '\u32E0', 1772,
                '\u32E1', 1773,
                '\u32E2', 1774,
                '\u32E3', 1775,
                '\u32E4', 1776,
                '\u32E5', 1777,
                '\u32E6', 1778,
                '\u32E7', 1779,
                '\u32E8', 1780,
                '\u32E9', 1781,
                '\u32EA', 1782,
                '\u32EB', 1783,
                '\u32EC', 1784,
                '\u32ED', 1785,
                '\u32EE', 1786,
                '\u32EF', 1787,
                '\u32F0', 1788,
                '\u32F1', 1789,
                '\u32F2', 1790,
                '\u32F3', 1791,
                '\u32F4', 1792,
                '\u32F5', 1793,
                '\u32F6', 1794,
                '\u32F7', 1795,
                '\u32F8', 1796,
                '\u32F9', 1797,
                '\u32FA', 1798,
                '\u32FB', 1799,
                '\u32FC', 1800,
                '\u32FD', 1801,
                '\u32FE', 1802,
                '\u3300', 1803,
                '\u3301', 1804,
                '\u3302', 1805,
                '\u3303', 1806,
                '\u3304', 1807,
                '\u3305', 1808,
                '\u3306', 1809,
                '\u3307', 1810,
                '\u3308', 1811,
                '\u3309', 1812,
                '\u330A', 1813,
                '\u330B', 1814,
                '\u330C', 1815,
                '\u330D', 1816,
                '\u330E', 1817,
                '\u330F', 1818,
                '\u3310', 1819,
                '\u3311', 1820,
                '\u3312', 1821,
                '\u3313', 1822,
                '\u3314', 1823,
                '\u3315', 1824,
                '\u3316', 1825,
                '\u3317', 1826,
                '\u3318', 1827,
                '\u3319', 1828,
                '\u331A', 1829,
                '\u331B', 1830,
                '\u331C', 1831,
                '\u331D', 1832,
                '\u331E', 1833,
                '\u331F', 1834,
                '\u3320', 1835,
                '\u3321', 1836,
                '\u3322', 1837,
                '\u3323', 1838,
                '\u3324', 1839,
                '\u3325', 1840,
                '\u3326', 1841,
                '\u3327', 1842,
                '\u3328', 1843,
                '\u3329', 1844,
                '\u332A', 1845,
                '\u332B', 1846,
                '\u332C', 1847,
                '\u332D', 1848,
                '\u332E', 1849,
                '\u332F', 1850,
                '\u3330', 1851,
                '\u3331', 1852,
                '\u3332', 1853,
                '\u3333', 1854,
                '\u3334', 1855,
                '\u3335', 1856,
                '\u3336', 1857,
                '\u3337', 1858,
                '\u3338', 1859,
                '\u3339', 1860,
                '\u333A', 1861,
                '\u333B', 1862,
                '\u333C', 1863,
                '\u333D', 1864,
                '\u333E', 1865,
                '\u333F', 1866,
                '\u3340', 1867,
                '\u3341', 1868,
                '\u3342', 1869,
                '\u3343', 1870,
                '\u3344', 1871,
                '\u3345', 1872,
                '\u3346', 1873,
                '\u3347', 1874,
                '\u3348', 1875,
                '\u3349', 1876,
                '\u334A', 1877,
                '\u334B', 1878,
                '\u334C', 1879,
                '\u334D', 1880,
                '\u334E', 1881,
                '\u334F', 1882,
                '\u3350', 1883,
                '\u3351', 1884,
                '\u3352', 1885,
                '\u3353', 1886,
                '\u3354', 1887,
                '\u3355', 1888,
                '\u3356', 1889,
                '\u3357', 1890,
                '\u3358', 1891,
                '\u3359', 1892,
                '\u335A', 1893,
                '\u335B', 1894,
                '\u335C', 1895,
                '\u335D', 1896,
                '\u335E', 1897,
                '\u335F', 1898,
                '\u3360', 1899,
                '\u3361', 1900,
                '\u3362', 1901,
                '\u3363', 1902,
                '\u3364', 1903,
                '\u3365', 1904,
                '\u3366', 1905,
                '\u3367', 1906,
                '\u3368', 1907,
                '\u3369', 1908,
                '\u336A', 1909,
                '\u336B', 1910,
                '\u336C', 1911,
                '\u336D', 1912,
                '\u336E', 1913,
                '\u336F', 1914,
                '\u3370', 1915,
                '\u3371', 1916,
                '\u3372', 1917,
                '\u3373', 1918,
                '\u3374', 1919,
                '\u3375', 1920,
                '\u3376', 1921,
                '\u3377', 1922,
                '\u3378', 1923,
                '\u3379', 1924,
                '\u337A', 1925,
                '\u337B', 1926,
                '\u337C', 1927,
                '\u337D', 1928,
                '\u337E', 1929,
                '\u337F', 1930,
                '\u3380', 1931,
                '\u3381', 1932,
                '\u3382', 1933,
                '\u3383', 1934,
                '\u3384', 1935,
                '\u3385', 1936,
                '\u3386', 1937,
                '\u3387', 1938,
                '\u3388', 1939,
                '\u3389', 1940,
                '\u338A', 1941,
                '\u338B', 1942,
                '\u338C', 1943,
                '\u338D', 1944,
                '\u338E', 1945,
                '\u338F', 1946,
                '\u3390', 1947,
                '\u3391', 1948,
                '\u3392', 1949,
                '\u3393', 1950,
                '\u3394', 1951,
                '\u3395', 1952,
                '\u3396', 1953,
                '\u3397', 1954,
                '\u3398', 1955,
                '\u3399', 1956,
                '\u339A', 1957,
                '\u339B', 1958,
                '\u339C', 1959,
                '\u339D', 1960,
                '\u339E', 1961,
                '\u339F', 1962,
                '\u33A0', 1963,
                '\u33A1', 1964,
                '\u33A2', 1965,
                '\u33A3', 1966,
                '\u33A4', 1967,
                '\u33A5', 1968,
                '\u33A6', 1969,
                '\u33A7', 1970,
                '\u33A8', 1971,
                '\u33A9', 1972,
                '\u33AA', 1973,
                '\u33AB', 1974,
                '\u33AC', 1975,
                '\u33AD', 1976,
                '\u33AE', 1977,
                '\u33AF', 1978,
                '\u33B0', 1979,
                '\u33B1', 1980,
                '\u33B2', 1981,
                '\u33B3', 1982,
                '\u33B4', 1983,
                '\u33B5', 1984,
                '\u33B6', 1985,
                '\u33B7', 1986,
                '\u33B8', 1987,
                '\u33B9', 1988,
                '\u33BA', 1989,
                '\u33BB', 1990,
                '\u33BC', 1991,
                '\u33BD', 1992,
                '\u33BE', 1993,
                '\u33BF', 1994,
                '\u33C0', 1995,
                '\u33C1', 1996,
                '\u33C2', 1997,
                '\u33C3', 1998,
                '\u33C4', 1999,
                '\u33C5', 2000,
                '\u33C6', 2001,
                '\u33C7', 2002,
                '\u33C8', 2003,
                '\u33C9', 2004,
                '\u33CA', 2005,
                '\u33CB', 2006,
                '\u33CC', 2007,
                '\u33CD', 2008,
                '\u33CE', 2009,
                '\u33CF', 2010,
                '\u33D0', 2011,
                '\u33D1', 2012,
                '\u33D2', 2013,
                '\u33D3', 2014,
                '\u33D4', 2015,
                '\u33D5', 2016,
                '\u33D6', 2017,
                '\u33D7', 2018,
                '\u33D8', 2019,
                '\u33D9', 2020,
                '\u33DA', 2021,
                '\u33DB', 2022,
                '\u33DC', 2023,
                '\u33DD', 2024,
                '\u33DE', 2025,
                '\u33DF', 2026,
                '\u33E0', 2027,
                '\u33E1', 2028,
                '\u33E2', 2029,
                '\u33E3', 2030,
                '\u33E4', 2031,
                '\u33E5', 2032,
                '\u33E6', 2033,
                '\u33E7', 2034,
                '\u33E8', 2035,
                '\u33E9', 2036,
                '\u33EA', 2037,
                '\u33EB', 2038,
                '\u33EC', 2039,
                '\u33ED', 2040,
                '\u33EE', 2041,
                '\u33EF', 2042,
                '\u33F0', 2043,
                '\u33F1', 2044,
                '\u33F2', 2045,
                '\u33F3', 2046,
                '\u33F4', 2047,
                '\u33F5', 2048,
                '\u33F6', 2049,
                '\u33F7', 2050,
                '\u33F8', 2051,
                '\u33F9', 2052,
                '\u33FA', 2053,
                '\u33FB', 2054,
                '\u33FC', 2055,
                '\u33FD', 2056,
                '\u33FE', 2057,
                '\u33FF', 2058,
                '\uF900', 2059,
                '\uF901', 2060,
                '\uF902', 1369,
                '\uF903', 2061,
                '\uF904', 2062,
                '\uF905', 2063,
                '\uF906', 2064,
                '\uF907', 1423,
                '\uF908', 1423,
                '\uF909', 2065,
                '\uF90A', 1377,
                '\uF90B', 2066,
                '\uF90C', 2067,
                '\uF90D', 2068,
                '\uF90E', 2069,
                '\uF90F', 2070,
                '\uF910', 2071,
                '\uF911', 2072,
                '\uF912', 2073,
                '\uF913', 2074,
                '\uF914', 2075,
                '\uF915', 2076,
                '\uF916', 2077,
                '\uF917', 2078,
                '\uF918', 2079,
                '\uF919', 2080,
                '\uF91A', 2081,
                '\uF91B', 2082,
                '\uF91C', 2083,
                '\uF91D', 2084,
                '\uF91E', 2085,
                '\uF91F', 2086,
                '\uF920', 2087,
                '\uF921', 2088,
                '\uF922', 2089,
                '\uF923', 2090,
                '\uF924', 2091,
                '\uF925', 2092,
                '\uF926', 2093,
                '\uF927', 2094,
                '\uF928', 2095,
                '\uF929', 2096,
                '\uF92A', 2097,
                '\uF92B', 2098,
                '\uF92C', 2099,
                '\uF92D', 2100,
                '\uF92E', 2101,
                '\uF92F', 2102,
                '\uF930', 2103,
                '\uF931', 2104,
                '\uF932', 2105,
                '\uF933', 2106,
                '\uF934', 1335,
                '\uF935', 2107,
                '\uF936', 2108,
                '\uF937', 2109,
                '\uF938', 2110,
                '\uF939', 2111,
                '\uF93A', 2112,
                '\uF93B', 2113,
                '\uF93C', 2114,
                '\uF93D', 2115,
                '\uF93E', 2116,
                '\uF93F', 2117,
                '\uF940', 1408,
                '\uF941', 2118,
                '\uF942', 2119,
                '\uF943', 2120,
                '\uF944', 2121,
                '\uF945', 2122,
                '\uF946', 2123,
                '\uF947', 2124,
                '\uF948', 2125,
                '\uF949', 2126,
                '\uF94A', 2127,
                '\uF94B', 2128,
                '\uF94C', 2129,
                '\uF94D', 2130,
                '\uF94E', 2131,
                '\uF94F', 2132,
                '\uF950', 2133,
                '\uF951', 2134,
                '\uF952', 2135,
                '\uF953', 2136,
                '\uF954', 2137,
                '\uF955', 2138,
                '\uF956', 2139,
                '\uF957', 2140,
                '\uF958', 2141,
                '\uF959', 2142,
                '\uF95A', 2143,
                '\uF95B', 2144,
                '\uF95C', 2075,
                '\uF95D', 2145,
                '\uF95E', 2146,
                '\uF95F', 2147,
                '\uF960', 2148,
                '\uF961', 2149,
                '\uF962', 2150,
                '\uF963', 2151,
                '\uF964', 2152,
                '\uF965', 2153,
                '\uF966', 2154,
                '\uF967', 2155,
                '\uF968', 2156,
                '\uF969', 2157,
                '\uF96A', 2158,
                '\uF96B', 2159,
                '\uF96C', 2160,
                '\uF96D', 2161,
                '\uF96E', 2162,
                '\uF96F', 2163,
                '\uF970', 2164,
                '\uF971', 1371,
                '\uF972', 2165,
                '\uF973', 2166,
                '\uF974', 2167,
                '\uF975', 2168,
                '\uF976', 2169,
                '\uF977', 2170,
                '\uF978', 2171,
                '\uF979', 2172,
                '\uF97A', 2173,
                '\uF97B', 2174,
                '\uF97C', 2175,
                '\uF97D', 2176,
                '\uF97E', 2177,
                '\uF97F', 2178,
                '\uF980', 2179,
                '\uF981', 1248,
                '\uF982', 2180,
                '\uF983', 2181,
                '\uF984', 2182,
                '\uF985', 2183,
                '\uF986', 2184,
                '\uF987', 2185,
                '\uF988', 2186,
                '\uF989', 2187,
                '\uF98A', 1229,
                '\uF98B', 2188,
                '\uF98C', 2189,
                '\uF98D', 2190,
                '\uF98E', 2191,
                '\uF98F', 2192,
                '\uF990', 2193,
                '\uF991', 2194,
                '\uF992', 2195,
                '\uF993', 2196,
                '\uF994', 2197,
                '\uF995', 2198,
                '\uF996', 2199,
                '\uF997', 2200,
                '\uF998', 2201,
                '\uF999', 2202,
                '\uF99A', 2203,
                '\uF99B', 2204,
                '\uF99C', 2205,
                '\uF99D', 2206,
                '\uF99E', 2207,
                '\uF99F', 2208,
                '\uF9A0', 2209,
                '\uF9A1', 2163,
                '\uF9A2', 2210,
                '\uF9A3', 2211,
                '\uF9A4', 2212,
                '\uF9A5', 2213,
                '\uF9A6', 2214,
                '\uF9A7', 2215,
                '\uF9A8', 2216,
                '\uF9A9', 2217,
                '\uF9AA', 2147,
                '\uF9AB', 2218,
                '\uF9AC', 2219,
                '\uF9AD', 2220,
                '\uF9AE', 2221,
                '\uF9AF', 2222,
                '\uF9B0', 2223,
                '\uF9B1', 2224,
                '\uF9B2', 2225,
                '\uF9B3', 2226,
                '\uF9B4', 2227,
                '\uF9B5', 2228,
                '\uF9B6', 2229,
                '\uF9B7', 2230,
                '\uF9B8', 2231,
                '\uF9B9', 2232,
                '\uF9BA', 2233,
                '\uF9BB', 2234,
                '\uF9BC', 2235,
                '\uF9BD', 2236,
                '\uF9BE', 2237,
                '\uF9BF', 2075,
                '\uF9C0', 2238,
                '\uF9C1', 2239,
                '\uF9C2', 2240,
                '\uF9C3', 2241,
                '\uF9C4', 1422,
                '\uF9C5', 2242,
                '\uF9C6', 2243,
                '\uF9C7', 2244,
                '\uF9C8', 2245,
                '\uF9C9', 2246,
                '\uF9CA', 2247,
                '\uF9CB', 2248,
                '\uF9CC', 2249,
                '\uF9CD', 2250,
                '\uF9CE', 2251,
                '\uF9CF', 2252,
                '\uF9D0', 2253,
                '\uF9D1', 1694,
                '\uF9D2', 2254,
                '\uF9D3', 2255,
                '\uF9D4', 2256,
                '\uF9D5', 2257,
                '\uF9D6', 2258,
                '\uF9D7', 2259,
                '\uF9D8', 2260,
                '\uF9D9', 2261,
                '\uF9DA', 2262,
                '\uF9DB', 2149,
                '\uF9DC', 2263,
                '\uF9DD', 2264,
                '\uF9DE', 2265,
                '\uF9DF', 2266,
                '\uF9E0', 2267,
                '\uF9E1', 2268,
                '\uF9E2', 2269,
                '\uF9E3', 2270,
                '\uF9E4', 2271,
                '\uF9E5', 2272,
                '\uF9E6', 2273,
                '\uF9E7', 2274,
                '\uF9E8', 2275,
                '\uF9E9', 1376,
                '\uF9EA', 2276,
                '\uF9EB', 2277,
                '\uF9EC', 2278,
                '\uF9ED', 2279,
                '\uF9EE', 2280,
                '\uF9EF', 2281,
                '\uF9F0', 2282,
                '\uF9F1', 2283,
                '\uF9F2', 2284,
                '\uF9F3', 2285,
                '\uF9F4', 2286,
                '\uF9F5', 2287,
                '\uF9F6', 2288,
                '\uF9F7', 1327,
                '\uF9F8', 2289,
                '\uF9F9', 2290,
                '\uF9FA', 2291,
                '\uF9FB', 2292,
                '\uF9FC', 2293,
                '\uF9FD', 2294,
                '\uF9FE', 2295,
                '\uF9FF', 2296,
                '\uFA00', 2297,
                '\uFA01', 2298,
                '\uFA02', 2299,
                '\uFA03', 2300,
                '\uFA04', 2301,
                '\uFA05', 2302,
                '\uFA06', 2303,
                '\uFA07', 2304,
                '\uFA08', 1354,
                '\uFA09', 2305,
                '\uFA0A', 1357,
                '\uFA0B', 2306,
                '\uFA0C', 2307,
                '\uFA0D', 2308,
                '\uFA10', 2309,
                '\uFA12', 2310,
                '\uFA15', 2311,
                '\uFA16', 2312,
                '\uFA17', 2313,
                '\uFA18', 2314,
                '\uFA19', 2315,
                '\uFA1A', 2316,
                '\uFA1B', 2317,
                '\uFA1C', 2318,
                '\uFA1D', 2319,
                '\uFA1E', 1334,
                '\uFA20', 2320,
                '\uFA22', 2321,
                '\uFA25', 2322,
                '\uFA26', 2323,
                '\uFA2A', 2324,
                '\uFA2B', 2325,
                '\uFA2C', 2326,
                '\uFA2D', 2327,
                '\uFA30', 2328,
                '\uFA31', 2329,
                '\uFA32', 2330,
                '\uFA33', 2331,
                '\uFA34', 2332,
                '\uFA35', 2333,
                '\uFA36', 2334,
                '\uFA37', 2335,
                '\uFA38', 2336,
                '\uFA39', 2337,
                '\uFA3A', 2338,
                '\uFA3B', 2339,
                '\uFA3C', 1255,
                '\uFA3D', 2340,
                '\uFA3E', 2341,
                '\uFA3F', 2342,
                '\uFA40', 2343,
                '\uFA41', 2344,
                '\uFA42', 2345,
                '\uFA43', 2346,
                '\uFA44', 2347,
                '\uFA45', 2348,
                '\uFA46', 2349,
                '\uFA47', 2350,
                '\uFA48', 2351,
                '\uFA49', 2352,
                '\uFA4A', 2353,
                '\uFA4B', 2354,
                '\uFA4C', 1699,
                '\uFA4D', 2355,
                '\uFA4E', 2356,
                '\uFA4F', 2357,
                '\uFA50', 2358,
                '\uFA51', 1703,
                '\uFA52', 2359,
                '\uFA53', 2360,
                '\uFA54', 2361,
                '\uFA55', 2362,
                '\uFA56', 2363,
                '\uFA57', 2199,
                '\uFA58', 2364,
                '\uFA59', 2365,
                '\uFA5A', 2366,
                '\uFA5B', 2367,
                '\uFA5C', 2368,
                '\uFA5D', 2369,
                '\uFA5E', 2369,
                '\uFA5F', 2370,
                '\uFA60', 2371,
                '\uFA61', 2372,
                '\uFA62', 2373,
                '\uFA63', 2374,
                '\uFA64', 2375,
                '\uFA65', 2376,
                '\uFA66', 2377,
                '\uFA67', 2322,
                '\uFA68', 2378,
                '\uFA69', 2379,
                '\uFA6A', 2380,
                '\uFB00', 2381,
                '\uFB01', 2382,
                '\uFB02', 2383,
                '\uFB03', 2384,
                '\uFB04', 2385,
                '\uFB05', 2386,
                '\uFB06', 2386,
                '\uFB13', 2387,
                '\uFB14', 2388,
                '\uFB15', 2389,
                '\uFB16', 2390,
                '\uFB17', 2391,
                '\uFB1D', 2392,
                '\uFB1F', 2393,
                '\uFB20', 2394,
                '\uFB21', 1030,
                '\uFB22', 1033,
                '\uFB23', 2395,
                '\uFB24', 2396,
                '\uFB25', 2397,
                '\uFB26', 2398,
                '\uFB27', 2399,
                '\uFB28', 2400,
                '\uFB29', 1006,
                '\uFB2A', 2401,
                '\uFB2B', 2402,
                '\uFB2C', 2403,
                '\uFB2D', 2404,
                '\uFB2E', 2405,
                '\uFB2F', 2406,
                '\uFB30', 2407,
                '\uFB31', 2408,
                '\uFB32', 2409,
                '\uFB33', 2410,
                '\uFB34', 2411,
                '\uFB35', 2412,
                '\uFB36', 2413,
                '\uFB38', 2414,
                '\uFB39', 2415,
                '\uFB3A', 2416,
                '\uFB3B', 2417,
                '\uFB3C', 2418,
                '\uFB3E', 2419,
                '\uFB40', 2420,
                '\uFB41', 2421,
                '\uFB43', 2422,
                '\uFB44', 2423,
                '\uFB46', 2424,
                '\uFB47', 2425,
                '\uFB48', 2426,
                '\uFB49', 2427,
                '\uFB4A', 2428,
                '\uFB4B', 2429,
                '\uFB4C', 2430,
                '\uFB4D', 2431,
                '\uFB4E', 2432,
                '\uFB4F', 2433,
                '\uFB50', 2434,
                '\uFB51', 2434,
                '\uFB52', 2435,
                '\uFB53', 2435,
                '\uFB54', 2435,
                '\uFB55', 2435,
                '\uFB56', 2436,
                '\uFB57', 2436,
                '\uFB58', 2436,
                '\uFB59', 2436,
                '\uFB5A', 2437,
                '\uFB5B', 2437,
                '\uFB5C', 2437,
                '\uFB5D', 2437,
                '\uFB5E', 2438,
                '\uFB5F', 2438,
                '\uFB60', 2438,
                '\uFB61', 2438,
                '\uFB62', 2439,
                '\uFB63', 2439,
                '\uFB64', 2439,
                '\uFB65', 2439,
                '\uFB66', 2440,
                '\uFB67', 2440,
                '\uFB68', 2440,
                '\uFB69', 2440,
                '\uFB6A', 2441,
                '\uFB6B', 2441,
                '\uFB6C', 2441,
                '\uFB6D', 2441,
                '\uFB6E', 2442,
                '\uFB6F', 2442,
                '\uFB70', 2442,
                '\uFB71', 2442,
                '\uFB72', 2443,
                '\uFB73', 2443,
                '\uFB74', 2443,
                '\uFB75', 2443,
                '\uFB76', 2444,
                '\uFB77', 2444,
                '\uFB78', 2444,
                '\uFB79', 2444,
                '\uFB7A', 2445,
                '\uFB7B', 2445,
                '\uFB7C', 2445,
                '\uFB7D', 2445,
                '\uFB7E', 2446,
                '\uFB7F', 2446,
                '\uFB80', 2446,
                '\uFB81', 2446,
                '\uFB82', 2447,
                '\uFB83', 2447,
                '\uFB84', 2448,
                '\uFB85', 2448,
                '\uFB86', 2449,
                '\uFB87', 2449,
                '\uFB88', 2450,
                '\uFB89', 2450,
                '\uFB8A', 2451,
                '\uFB8B', 2451,
                '\uFB8C', 2452,
                '\uFB8D', 2452,
                '\uFB8E', 2453,
                '\uFB8F', 2453,
                '\uFB90', 2453,
                '\uFB91', 2453,
                '\uFB92', 2454,
                '\uFB93', 2454,
                '\uFB94', 2454,
                '\uFB95', 2454,
                '\uFB96', 2455,
                '\uFB97', 2455,
                '\uFB98', 2455,
                '\uFB99', 2455,
                '\uFB9A', 2456,
                '\uFB9B', 2456,
                '\uFB9C', 2456,
                '\uFB9D', 2456,
                '\uFB9E', 2457,
                '\uFB9F', 2457,
                '\uFBA0', 2458,
                '\uFBA1', 2458,
                '\uFBA2', 2458,
                '\uFBA3', 2458,
                '\uFBA4', 405,
                '\uFBA5', 405,
                '\uFBA6', 2459,
                '\uFBA7', 2459,
                '\uFBA8', 2459,
                '\uFBA9', 2459,
                '\uFBAA', 2460,
                '\uFBAB', 2460,
                '\uFBAC', 2460,
                '\uFBAD', 2460,
                '\uFBAE', 2461,
                '\uFBAF', 2461,
                '\uFBB0', 407,
                '\uFBB1', 407,
                '\uFBD3', 2462,
                '\uFBD4', 2462,
                '\uFBD5', 2462,
                '\uFBD6', 2462,
                '\uFBD7', 2463,
                '\uFBD8', 2463,
                '\uFBD9', 2464,
                '\uFBDA', 2464,
                '\uFBDB', 2465,
                '\uFBDC', 2465,
                '\uFBDD', 403,
                '\uFBDE', 2466,
                '\uFBDF', 2466,
                '\uFBE0', 2467,
                '\uFBE1', 2467,
                '\uFBE2', 2468,
                '\uFBE3', 2468,
                '\uFBE4', 2469,
                '\uFBE5', 2469,
                '\uFBE6', 2469,
                '\uFBE7', 2469,
                '\uFBE8', 2470,
                '\uFBE9', 2470,
                '\uFBEA', 2471,
                '\uFBEB', 2471,
                '\uFBEC', 2472,
                '\uFBED', 2472,
                '\uFBEE', 2473,
                '\uFBEF', 2473,
                '\uFBF0', 2474,
                '\uFBF1', 2474,
                '\uFBF2', 2475,
                '\uFBF3', 2475,
                '\uFBF4', 2476,
                '\uFBF5', 2476,
                '\uFBF6', 2477,
                '\uFBF7', 2477,
                '\uFBF8', 2477,
                '\uFBF9', 2478,
                '\uFBFA', 2478,
                '\uFBFB', 2478,
                '\uFBFC', 2479,
                '\uFBFD', 2479,
                '\uFBFE', 2479,
                '\uFBFF', 2479,
                '\uFC00', 2480,
                '\uFC01', 2481,
                '\uFC02', 2482,
                '\uFC03', 2478,
                '\uFC04', 2483,
                '\uFC05', 2484,
                '\uFC06', 2485,
                '\uFC07', 2486,
                '\uFC08', 2487,
                '\uFC09', 2488,
                '\uFC0A', 2489,
                '\uFC0B', 2490,
                '\uFC0C', 2491,
                '\uFC0D', 2492,
                '\uFC0E', 2493,
                '\uFC0F', 2494,
                '\uFC10', 2495,
                '\uFC11', 2496,
                '\uFC12', 2497,
                '\uFC13', 2498,
                '\uFC14', 2499,
                '\uFC15', 2500,
                '\uFC16', 2501,
                '\uFC17', 2502,
                '\uFC18', 2503,
                '\uFC19', 2504,
                '\uFC1A', 2505,
                '\uFC1B', 2506,
                '\uFC1C', 2507,
                '\uFC1D', 2508,
                '\uFC1E', 2509,
                '\uFC1F', 2510,
                '\uFC20', 2511,
                '\uFC21', 2512,
                '\uFC22', 2513,
                '\uFC23', 2514,
                '\uFC24', 2515,
                '\uFC25', 2516,
                '\uFC26', 2517,
                '\uFC27', 2518,
                '\uFC28', 2519,
                '\uFC29', 2520,
                '\uFC2A', 2521,
                '\uFC2B', 2522,
                '\uFC2C', 2523,
                '\uFC2D', 2524,
                '\uFC2E', 2525,
                '\uFC2F', 2526,
                '\uFC30', 2527,
                '\uFC31', 2528,
                '\uFC32', 2529,
                '\uFC33', 2530,
                '\uFC34', 2531,
                '\uFC35', 2532,
                '\uFC36', 2533,
                '\uFC37', 2534,
                '\uFC38', 2535,
                '\uFC39', 2536,
                '\uFC3A', 2537,
                '\uFC3B', 2538,
                '\uFC3C', 2539,
                '\uFC3D', 2540,
                '\uFC3E', 2541,
                '\uFC3F', 2542,
                '\uFC40', 2543,
                '\uFC41', 2544,
                '\uFC42', 2545,
                '\uFC43', 2546,
                '\uFC44', 2547,
                '\uFC45', 2548,
                '\uFC46', 2549,
                '\uFC47', 2550,
                '\uFC48', 2551,
                '\uFC49', 2552,
                '\uFC4A', 2553,
                '\uFC4B', 2554,
                '\uFC4C', 2555,
                '\uFC4D', 2556,
                '\uFC4E', 2557,
                '\uFC4F', 2558,
                '\uFC50', 2559,
                '\uFC51', 2560,
                '\uFC52', 2561,
                '\uFC53', 2562,
                '\uFC54', 2563,
                '\uFC55', 2564,
                '\uFC56', 2565,
                '\uFC57', 2566,
                '\uFC58', 2567,
                '\uFC59', 2568,
                '\uFC5A', 2569,
                '\uFC5B', 2570,
                '\uFC5C', 2571,
                '\uFC5D', 2572,
                '\uFC5E', 2573,
                '\uFC5F', 2574,
                '\uFC60', 2575,
                '\uFC61', 2576,
                '\uFC62', 2577,
                '\uFC63', 2578,
                '\uFC64', 2579,
                '\uFC65', 2580,
                '\uFC66', 2482,
                '\uFC67', 2581,
                '\uFC68', 2478,
                '\uFC69', 2483,
                '\uFC6A', 2582,
                '\uFC6B', 2583,
                '\uFC6C', 2487,
                '\uFC6D', 2584,
                '\uFC6E', 2488,
                '\uFC6F', 2489,
                '\uFC70', 2585,
                '\uFC71', 2586,
                '\uFC72', 2493,
                '\uFC73', 2587,
                '\uFC74', 2494,
                '\uFC75', 2495,
                '\uFC76', 2588,
                '\uFC77', 2589,
                '\uFC78', 2497,
                '\uFC79', 2590,
                '\uFC7A', 2498,
                '\uFC7B', 2499,
                '\uFC7C', 2528,
                '\uFC7D', 2529,
                '\uFC7E', 2532,
                '\uFC7F', 2533,
                '\uFC80', 2534,
                '\uFC81', 2538,
                '\uFC82', 2539,
                '\uFC83', 2540,
                '\uFC84', 2541,
                '\uFC85', 2545,
                '\uFC86', 2546,
                '\uFC87', 2547,
                '\uFC88', 2591,
                '\uFC89', 2551,
                '\uFC8A', 2592,
                '\uFC8B', 2593,
                '\uFC8C', 2557,
                '\uFC8D', 2594,
                '\uFC8E', 2558,
                '\uFC8F', 2559,
                '\uFC90', 2572,
                '\uFC91', 2595,
                '\uFC92', 2596,
                '\uFC93', 2567,
                '\uFC94', 2597,
                '\uFC95', 2568,
                '\uFC96', 2569,
                '\uFC97', 2480,
                '\uFC98', 2481,
                '\uFC99', 2598,
                '\uFC9A', 2482,
                '\uFC9B', 2599,
                '\uFC9C', 2484,
                '\uFC9D', 2485,
                '\uFC9E', 2486,
                '\uFC9F', 2487,
                '\uFCA0', 2600,
                '\uFCA1', 2490,
                '\uFCA2', 2491,
                '\uFCA3', 2492,
                '\uFCA4', 2493,
                '\uFCA5', 2601,
                '\uFCA6', 2497,
                '\uFCA7', 2500,
                '\uFCA8', 2501,
                '\uFCA9', 2502,
                '\uFCAA', 2503,
                '\uFCAB', 2504,
                '\uFCAC', 2506,
                '\uFCAD', 2507,
                '\uFCAE', 2508,
                '\uFCAF', 2509,
                '\uFCB0', 2510,
                '\uFCB1', 2511,
                '\uFCB2', 2602,
                '\uFCB3', 2512,
                '\uFCB4', 2513,
                '\uFCB5', 2514,
                '\uFCB6', 2515,
                '\uFCB7', 2516,
                '\uFCB8', 2517,
                '\uFCB9', 2519,
                '\uFCBA', 2520,
                '\uFCBB', 2521,
                '\uFCBC', 2522,
                '\uFCBD', 2523,
                '\uFCBE', 2524,
                '\uFCBF', 2525,
                '\uFCC0', 2526,
                '\uFCC1', 2527,
                '\uFCC2', 2530,
                '\uFCC3', 2531,
                '\uFCC4', 2535,
                '\uFCC5', 2536,
                '\uFCC6', 2537,
                '\uFCC7', 2538,
                '\uFCC8', 2539,
                '\uFCC9', 2542,
                '\uFCCA', 2543,
                '\uFCCB', 2544,
                '\uFCCC', 2545,
                '\uFCCD', 2603,
                '\uFCCE', 2548,
                '\uFCCF', 2549,
                '\uFCD0', 2550,
                '\uFCD1', 2551,
                '\uFCD2', 2554,
                '\uFCD3', 2555,
                '\uFCD4', 2556,
                '\uFCD5', 2557,
                '\uFCD6', 2604,
                '\uFCD7', 2560,
                '\uFCD8', 2561,
                '\uFCD9', 2605,
                '\uFCDA', 2564,
                '\uFCDB', 2565,
                '\uFCDC', 2566,
                '\uFCDD', 2567,
                '\uFCDE', 2606,
                '\uFCDF', 2482,
                '\uFCE0', 2599,
                '\uFCE1', 2487,
                '\uFCE2', 2600,
                '\uFCE3', 2493,
                '\uFCE4', 2601,
                '\uFCE5', 2497,
                '\uFCE6', 2607,
                '\uFCE7', 2510,
                '\uFCE8', 2608,
                '\uFCE9', 2609,
                '\uFCEA', 2610,
                '\uFCEB', 2538,
                '\uFCEC', 2539,
                '\uFCED', 2545,
                '\uFCEE', 2557,
                '\uFCEF', 2604,
                '\uFCF0', 2567,
                '\uFCF1', 2606,
                '\uFCF2', 2611,
                '\uFCF3', 2612,
                '\uFCF4', 2613,
                '\uFCF5', 2614,
                '\uFCF6', 2615,
                '\uFCF7', 2616,
                '\uFCF8', 2617,
                '\uFCF9', 2618,
                '\uFCFA', 2619,
                '\uFCFB', 2620,
                '\uFCFC', 2621,
                '\uFCFD', 2622,
                '\uFCFE', 2623,
                '\uFCFF', 2624,
                '\uFD00', 2625,
                '\uFD01', 2626,
                '\uFD02', 2627,
                '\uFD03', 2628,
                '\uFD04', 2629,
                '\uFD05', 2630,
                '\uFD06', 2631,
                '\uFD07', 2632,
                '\uFD08', 2633,
                '\uFD09', 2634,
                '\uFD0A', 2635,
                '\uFD0B', 2636,
                '\uFD0C', 2609,
                '\uFD0D', 2637,
                '\uFD0E', 2638,
                '\uFD0F', 2639,
                '\uFD10', 2640,
                '\uFD11', 2614,
                '\uFD12', 2615,
                '\uFD13', 2616,
                '\uFD14', 2617,
                '\uFD15', 2618,
                '\uFD16', 2619,
                '\uFD17', 2620,
                '\uFD18', 2621,
                '\uFD19', 2622,
                '\uFD1A', 2623,
                '\uFD1B', 2624,
                '\uFD1C', 2625,
                '\uFD1D', 2626,
                '\uFD1E', 2627,
                '\uFD1F', 2628,
                '\uFD20', 2629,
                '\uFD21', 2630,
                '\uFD22', 2631,
                '\uFD23', 2632,
                '\uFD24', 2633,
                '\uFD25', 2634,
                '\uFD26', 2635,
                '\uFD27', 2636,
                '\uFD28', 2609,
                '\uFD29', 2637,
                '\uFD2A', 2638,
                '\uFD2B', 2639,
                '\uFD2C', 2640,
                '\uFD2D', 2634,
                '\uFD2E', 2635,
                '\uFD2F', 2636,
                '\uFD30', 2609,
                '\uFD31', 2608,
                '\uFD32', 2610,
                '\uFD33', 2518,
                '\uFD34', 2507,
                '\uFD35', 2508,
                '\uFD36', 2509,
                '\uFD37', 2634,
                '\uFD38', 2635,
                '\uFD39', 2636,
                '\uFD3A', 2518,
                '\uFD3B', 2519,
                '\uFD3C', 2641,
                '\uFD3D', 2641,
                '\uFD50', 2642,
                '\uFD51', 2643,
                '\uFD52', 2643,
                '\uFD53', 2644,
                '\uFD54', 2645,
                '\uFD55', 2646,
                '\uFD56', 2647,
                '\uFD57', 2648,
                '\uFD58', 2649,
                '\uFD59', 2649,
                '\uFD5A', 2650,
                '\uFD5B', 2651,
                '\uFD5C', 2652,
                '\uFD5D', 2653,
                '\uFD5E', 2654,
                '\uFD5F', 2655,
                '\uFD60', 2655,
                '\uFD61', 2656,
                '\uFD62', 2657,
                '\uFD63', 2657,
                '\uFD64', 2658,
                '\uFD65', 2658,
                '\uFD66', 2659,
                '\uFD67', 2660,
                '\uFD68', 2660,
                '\uFD69', 2661,
                '\uFD6A', 2662,
                '\uFD6B', 2662,
                '\uFD6C', 2663,
                '\uFD6D', 2663,
                '\uFD6E', 2664,
                '\uFD6F', 2665,
                '\uFD70', 2665,
                '\uFD71', 2666,
                '\uFD72', 2666,
                '\uFD73', 2667,
                '\uFD74', 2668,
                '\uFD75', 2669,
                '\uFD76', 2670,
                '\uFD77', 2670,
                '\uFD78', 2671,
                '\uFD79', 2672,
                '\uFD7A', 2673,
                '\uFD7B', 2674,
                '\uFD7C', 2675,
                '\uFD7D', 2675,
                '\uFD7E', 2676,
                '\uFD7F', 2677,
                '\uFD80', 2678,
                '\uFD81', 2679,
                '\uFD82', 2680,
                '\uFD83', 2681,
                '\uFD84', 2681,
                '\uFD85', 2682,
                '\uFD86', 2682,
                '\uFD87', 2683,
                '\uFD88', 2683,
                '\uFD89', 2684,
                '\uFD8A', 2685,
                '\uFD8B', 2686,
                '\uFD8C', 2687,
                '\uFD8D', 2688,
                '\uFD8E', 2689,
                '\uFD8F', 2690,
                '\uFD92', 2691,
                '\uFD93', 2692,
                '\uFD94', 2693,
                '\uFD95', 2694,
                '\uFD96', 2695,
                '\uFD97', 2696,
                '\uFD98', 2696,
                '\uFD99', 2697,
                '\uFD9A', 2698,
                '\uFD9B', 2699,
                '\uFD9C', 2700,
                '\uFD9D', 2700,
                '\uFD9E', 2701,
                '\uFD9F', 2702,
                '\uFDA0', 2703,
                '\uFDA1', 2704,
                '\uFDA2', 2705,
                '\uFDA3', 2706,
                '\uFDA4', 2707,
                '\uFDA5', 2708,
                '\uFDA6', 2709,
                '\uFDA7', 2710,
                '\uFDA8', 2711,
                '\uFDA9', 2712,
                '\uFDAA', 2713,
                '\uFDAB', 2714,
                '\uFDAC', 2715,
                '\uFDAD', 2716,
                '\uFDAE', 2717,
                '\uFDAF', 2718,
                '\uFDB0', 2719,
                '\uFDB1', 2720,
                '\uFDB2', 2721,
                '\uFDB3', 2722,
                '\uFDB4', 2676,
                '\uFDB5', 2678,
                '\uFDB6', 2723,
                '\uFDB7', 2724,
                '\uFDB8', 2725,
                '\uFDB9', 2726,
                '\uFDBA', 2727,
                '\uFDBB', 2728,
                '\uFDBC', 2727,
                '\uFDBD', 2725,
                '\uFDBE', 2729,
                '\uFDBF', 2730,
                '\uFDC0', 2731,
                '\uFDC1', 2732,
                '\uFDC2', 2733,
                '\uFDC3', 2728,
                '\uFDC4', 2669,
                '\uFDC5', 2659,
                '\uFDC6', 2734,
                '\uFDC7', 2735,
                '\uFDF0', 2736,
                '\uFDF1', 2737,
                '\uFDF2', 2738,
                '\uFDF3', 2739,
                '\uFDF4', 2740,
                '\uFDF5', 2741,
                '\uFDF6', 2742,
                '\uFDF7', 2743,
                '\uFDF8', 2744,
                '\uFDF9', 2745,
                '\uFDFA', 2746,
                '\uFDFB', 2747,
                '\uFDFC', 2748,
                '\uFE30', 987,
                '\uFE31', 2749,
                '\uFE32', 2750,
                '\uFE33', 2751,
                '\uFE34', 2751,
                '\uFE35', 1009,
                '\uFE36', 1010,
                '\uFE37', 2752,
                '\uFE38', 2753,
                '\uFE39', 2754,
                '\uFE3A', 2755,
                '\uFE3B', 2756,
                '\uFE3C', 2757,
                '\uFE3D', 2758,
                '\uFE3E', 2759,
                '\uFE3F', 1120,
                '\uFE40', 1121,
                '\uFE41', 2760,
                '\uFE42', 2761,
                '\uFE43', 2762,
                '\uFE44', 2763,
                '\uFE47', 2764,
                '\uFE48', 2765,
                '\uFE49', 994,
                '\uFE4A', 994,
                '\uFE4B', 994,
                '\uFE4C', 994,
                '\uFE4D', 2751,
                '\uFE4E', 2751,
                '\uFE4F', 2751,
                '\uFE50', 2766,
                '\uFE51', 2767,
                '\uFE52', 986,
                '\uFE54', 309,
                '\uFE55', 2768,
                '\uFE56', 2769,
                '\uFE57', 2770,
                '\uFE58', 2749,
                '\uFE59', 1009,
                '\uFE5A', 1010,
                '\uFE5B', 2752,
                '\uFE5C', 2753,
                '\uFE5D', 2754,
                '\uFE5E', 2755,
                '\uFE5F', 2771,
                '\uFE60', 2772,
                '\uFE61', 2773,
                '\uFE62', 1006,
                '\uFE63', 2774,
                '\uFE64', 2775,
                '\uFE65', 2776,
                '\uFE66', 1008,
                '\uFE68', 2777,
                '\uFE69', 2778,
                '\uFE6A', 2779,
                '\uFE6B', 2780,
                '\uFE70', 2781,
                '\uFE71', 2782,
                '\uFE72', 2783,
                '\uFE74', 2784,
                '\uFE76', 2785,
                '\uFE77', 2786,
                '\uFE78', 2787,
                '\uFE79', 2788,
                '\uFE7A', 2789,
                '\uFE7B', 2790,
                '\uFE7C', 2791,
                '\uFE7D', 2792,
                '\uFE7E', 2793,
                '\uFE7F', 2794,
                '\uFE80', 2795,
                '\uFE81', 396,
                '\uFE82', 396,
                '\uFE83', 397,
                '\uFE84', 397,
                '\uFE85', 398,
                '\uFE86', 398,
                '\uFE87', 399,
                '\uFE88', 399,
                '\uFE89', 400,
                '\uFE8A', 400,
                '\uFE8B', 400,
                '\uFE8C', 400,
                '\uFE8D', 2796,
                '\uFE8E', 2796,
                '\uFE8F', 2797,
                '\uFE90', 2797,
                '\uFE91', 2797,
                '\uFE92', 2797,
                '\uFE93', 2798,
                '\uFE94', 2798,
                '\uFE95', 2799,
                '\uFE96', 2799,
                '\uFE97', 2799,
                '\uFE98', 2799,
                '\uFE99', 2800,
                '\uFE9A', 2800,
                '\uFE9B', 2800,
                '\uFE9C', 2800,
                '\uFE9D', 2801,
                '\uFE9E', 2801,
                '\uFE9F', 2801,
                '\uFEA0', 2801,
                '\uFEA1', 2802,
                '\uFEA2', 2802,
                '\uFEA3', 2802,
                '\uFEA4', 2802,
                '\uFEA5', 2803,
                '\uFEA6', 2803,
                '\uFEA7', 2803,
                '\uFEA8', 2803,
                '\uFEA9', 2804,
                '\uFEAA', 2804,
                '\uFEAB', 2805,
                '\uFEAC', 2805,
                '\uFEAD', 2806,
                '\uFEAE', 2806,
                '\uFEAF', 2807,
                '\uFEB0', 2807,
                '\uFEB1', 2808,
                '\uFEB2', 2808,
                '\uFEB3', 2808,
                '\uFEB4', 2808,
                '\uFEB5', 2809,
                '\uFEB6', 2809,
                '\uFEB7', 2809,
                '\uFEB8', 2809,
                '\uFEB9', 2810,
                '\uFEBA', 2810,
                '\uFEBB', 2810,
                '\uFEBC', 2810,
                '\uFEBD', 2811,
                '\uFEBE', 2811,
                '\uFEBF', 2811,
                '\uFEC0', 2811,
                '\uFEC1', 2812,
                '\uFEC2', 2812,
                '\uFEC3', 2812,
                '\uFEC4', 2812,
                '\uFEC5', 2813,
                '\uFEC6', 2813,
                '\uFEC7', 2813,
                '\uFEC8', 2813,
                '\uFEC9', 2814,
                '\uFECA', 2814,
                '\uFECB', 2814,
                '\uFECC', 2814,
                '\uFECD', 2815,
                '\uFECE', 2815,
                '\uFECF', 2815,
                '\uFED0', 2815,
                '\uFED1', 2816,
                '\uFED2', 2816,
                '\uFED3', 2816,
                '\uFED4', 2816,
                '\uFED5', 2817,
                '\uFED6', 2817,
                '\uFED7', 2817,
                '\uFED8', 2817,
                '\uFED9', 2818,
                '\uFEDA', 2818,
                '\uFEDB', 2818,
                '\uFEDC', 2818,
                '\uFEDD', 2819,
                '\uFEDE', 2819,
                '\uFEDF', 2819,
                '\uFEE0', 2819,
                '\uFEE1', 2820,
                '\uFEE2', 2820,
                '\uFEE3', 2820,
                '\uFEE4', 2820,
                '\uFEE5', 2821,
                '\uFEE6', 2821,
                '\uFEE7', 2821,
                '\uFEE8', 2821,
                '\uFEE9', 2822,
                '\uFEEA', 2822,
                '\uFEEB', 2822,
                '\uFEEC', 2822,
                '\uFEED', 2823,
                '\uFEEE', 2823,
                '\uFEEF', 2470,
                '\uFEF0', 2470,
                '\uFEF1', 2824,
                '\uFEF2', 2824,
                '\uFEF3', 2824,
                '\uFEF4', 2824,
                '\uFEF5', 2825,
                '\uFEF6', 2825,
                '\uFEF7', 2826,
                '\uFEF8', 2826,
                '\uFEF9', 2827,
                '\uFEFA', 2827,
                '\uFEFB', 2828,
                '\uFEFC', 2828,
                '\uFF01', 2770,
                '\uFF02', 2829,
                '\uFF03', 2771,
                '\uFF04', 2778,
                '\uFF05', 2779,
                '\uFF06', 2772,
                '\uFF07', 2830,
                '\uFF08', 1009,
                '\uFF09', 1010,
                '\uFF0A', 2773,
                '\uFF0B', 1006,
                '\uFF0C', 2766,
                '\uFF0D', 2774,
                '\uFF0E', 986,
                '\uFF0F', 2831,
                '\uFF10', 999,
                '\uFF11', 9,
                '\uFF12', 4,
                '\uFF13', 5,
                '\uFF14', 1000,
                '\uFF15', 1001,
                '\uFF16', 1002,
                '\uFF17', 1003,
                '\uFF18', 1004,
                '\uFF19', 1005,
                '\uFF1A', 2768,
                '\uFF1B', 309,
                '\uFF1C', 2775,
                '\uFF1D', 1008,
                '\uFF1E', 2776,
                '\uFF1F', 2769,
                '\uFF20', 2780,
                '\uFF21', 477,
                '\uFF22', 479,
                '\uFF23', 1015,
                '\uFF24', 480,
                '\uFF25', 481,
                '\uFF26', 1029,
                '\uFF27', 483,
                '\uFF28', 484,
                '\uFF29', 485,
                '\uFF2A', 486,
                '\uFF2B', 487,
                '\uFF2C', 488,
                '\uFF2D', 489,
                '\uFF2E', 490,
                '\uFF2F', 491,
                '\uFF30', 493,
                '\uFF31', 1023,
                '\uFF32', 494,
                '\uFF33', 1199,
                '\uFF34', 495,
                '\uFF35', 496,
                '\uFF36', 1054,
                '\uFF37', 497,
                '\uFF38', 1059,
                '\uFF39', 1200,
                '\uFF3A', 1027,
                '\uFF3B', 2764,
                '\uFF3C', 2777,
                '\uFF3D', 2765,
                '\uFF3E', 2832,
                '\uFF3F', 2751,
                '\uFF40', 974,
                '\uFF41', 2,
                '\uFF42', 501,
                '\uFF43', 1071,
                '\uFF44', 502,
                '\uFF45', 503,
                '\uFF46', 1201,
                '\uFF47', 507,
                '\uFF48', 284,
                '\uFF49', 524,
                '\uFF4A', 286,
                '\uFF4B', 508,
                '\uFF4C', 300,
                '\uFF4D', 509,
                '\uFF4E', 1011,
                '\uFF4F', 10,
                '\uFF50', 514,
                '\uFF51', 1202,
                '\uFF52', 287,
                '\uFF53', 180,
                '\uFF54', 515,
                '\uFF55', 516,
                '\uFF56', 519,
                '\uFF57', 291,
                '\uFF58', 301,
                '\uFF59', 292,
                '\uFF5A', 1203,
                '\uFF5B', 2752,
                '\uFF5C', 2833,
                '\uFF5D', 2753,
                '\uFF5E', 2834,
                '\uFF5F', 2835,
                '\uFF60', 2836,
                '\uFF61', 2837,
                '\uFF62', 2760,
                '\uFF63', 2761,
                '\uFF64', 2767,
                '\uFF65', 2838,
                '\uFF66', 1802,
                '\uFF67', 2839,
                '\uFF68', 2840,
                '\uFF69', 2841,
                '\uFF6A', 2842,
                '\uFF6B', 2843,
                '\uFF6C', 2844,
                '\uFF6D', 2845,
                '\uFF6E', 2846,
                '\uFF6F', 2847,
                '\uFF70', 2848,
                '\uFF71', 1756,
                '\uFF72', 1757,
                '\uFF73', 1758,
                '\uFF74', 1759,
                '\uFF75', 1760,
                '\uFF76', 1761,
                '\uFF77', 1762,
                '\uFF78', 1763,
                '\uFF79', 1764,
                '\uFF7A', 1765,
                '\uFF7B', 1766,
                '\uFF7C', 1767,
                '\uFF7D', 1768,
                '\uFF7E', 1769,
                '\uFF7F', 1770,
                '\uFF80', 1771,
                '\uFF81', 1772,
                '\uFF82', 1773,
                '\uFF83', 1774,
                '\uFF84', 1775,
                '\uFF85', 1776,
                '\uFF86', 1777,
                '\uFF87', 1778,
                '\uFF88', 1779,
                '\uFF89', 1780,
                '\uFF8A', 1781,
                '\uFF8B', 1782,
                '\uFF8C', 1783,
                '\uFF8D', 1784,
                '\uFF8E', 1785,
                '\uFF8F', 1786,
                '\uFF90', 1787,
                '\uFF91', 1788,
                '\uFF92', 1789,
                '\uFF93', 1790,
                '\uFF94', 1791,
                '\uFF95', 1792,
                '\uFF96', 1793,
                '\uFF97', 1794,
                '\uFF98', 1795,
                '\uFF99', 1796,
                '\uFF9A', 1797,
                '\uFF9B', 1798,
                '\uFF9C', 1799,
                '\uFF9D', 2849,
                '\uFF9E', 2850,
                '\uFF9F', 2851,
                '\uFFA0', 1541,
                '\uFFA1', 1490,
                '\uFFA2', 1491,
                '\uFFA3', 1492,
                '\uFFA4', 1493,
                '\uFFA5', 1494,
                '\uFFA6', 1495,
                '\uFFA7', 1496,
                '\uFFA8', 1497,
                '\uFFA9', 1498,
                '\uFFAA', 1499,
                '\uFFAB', 1500,
                '\uFFAC', 1501,
                '\uFFAD', 1502,
                '\uFFAE', 1503,
                '\uFFAF', 1504,
                '\uFFB0', 1505,
                '\uFFB1', 1506,
                '\uFFB2', 1507,
                '\uFFB3', 1508,
                '\uFFB4', 1509,
                '\uFFB5', 1510,
                '\uFFB6', 1511,
                '\uFFB7', 1512,
                '\uFFB8', 1513,
                '\uFFB9', 1514,
                '\uFFBA', 1515,
                '\uFFBB', 1516,
                '\uFFBC', 1517,
                '\uFFBD', 1518,
                '\uFFBE', 1519,
                '\uFFC2', 1520,
                '\uFFC3', 1521,
                '\uFFC4', 1522,
                '\uFFC5', 1523,
                '\uFFC6', 1524,
                '\uFFC7', 1525,
                '\uFFCA', 1526,
                '\uFFCB', 1527,
                '\uFFCC', 1528,
                '\uFFCD', 1529,
                '\uFFCE', 1530,
                '\uFFCF', 1531,
                '\uFFD2', 1532,
                '\uFFD3', 1533,
                '\uFFD4', 1534,
                '\uFFD5', 1535,
                '\uFFD6', 1536,
                '\uFFD7', 1537,
                '\uFFDA', 1538,
                '\uFFDB', 1539,
                '\uFFDC', 1540,
                '\uFFE0', 2852,
                '\uFFE1', 2853,
                '\uFFE2', 2854,
                '\uFFE3', 3,
                '\uFFE4', 2855,
                '\uFFE5', 2856,
                '\uFFE6', 2857,
                '\uFFE8', 2858,
                '\uFFE9', 2859,
                '\uFFEA', 2860,
                '\uFFEB', 2861,
                '\uFFEC', 2862,
                '\uFFED', 2863,
                '\uFFEE', 2864,
    };

    //Methods
    public static final int indexOf(char c) {
        int     start = 0;
        int     end = DecompositionKeys.KEYS.length/2;
        int     idx = -1;

        while (true) {
            int     half = (start + end) / 2;
            char    code = (char)DecompositionKeys.KEYS[half*2];

            if (c == code) {
                idx = DecompositionKeys.KEYS[half*2 + 1];
                break;
            }
            if (half == start) {
                // Character not found
                break;
            } else if (c > code) {
                start = half;
            } else {
                end = half;
            }
        }

        return idx;
    }
}